# Интерфейс креатора бет Партнерского интерфейса partner2.yandex.ru

## Как запустить

```sh
npm run dev
```

Для логирования запросов ходим в крашер прямо из браузера,
поэтому с локалки будет ошибка CORS. 
Для этого можно поправить /etc/hosts и ходить через домен:
```
127.0.0.1	creator.yandex-team.ru
```

## Как собрать

1. Собираем контейнер
    Предварительно нужно проставить версию в package.json - на ее основе сформируется докерный тэг, который следует поддерживать уникальным.
    Если собирается окончательный релиз, то просто инкрементируется счетчик.
    Если собирается тестовая версия - следует добавить суффикс `-alpha.N` или `-beta.N`.

    ```sh
    $ npm run build:image
    ```
    В терминал выведется докерный тэг, например `0.0.79-beta.3`.
2. Авторизация в докере [wiki](https://wiki.yandex-team.ru/qloud/docker-registry/#authorization)
3. Получить роль в IDM, усли её нет:
    ```
    Docker-registry: Репозитории / partners/creator-frontend / contributor)
    ```
4. выкладываем контейнер:
    ```
    $ npm run push
    ```
5. код в репозиторий
    ```
    $ git push origin master && git push --tags
    ```

## Как деплоить

1. Открыть на редактирование стейдж в `creator-frontend` в Деплое https://deploy.yandex-team.ru/stages/creator-frontend/edit/du-App/box-app, Box `app`
1. В поле тэга параметра `Docker image` указать тэг, полученный ранее при сборке
1. Нажать "Update"
1. Будет показано окно с изменениями спека - проверить, что нет ничего лишнего, и нажать "Deploy"

## Обновление списка хостов
Чтобы обновить список хостов, необходимо обновить массив в файле src/dcs.js,
а после - собрать и передеплоить. 
