import {withBemMod} from '@bem-react/core';

import {cnButton} from '@yandex-lego/components/Button';
import './ButtonSizeXs.pcss';

export interface IButtonSizeXSProps {
    /**
     * Размер кнопки
     */
    size?: 'xs';
}

/**
 * Модификатор, отвечающий за размер кнопки.
 * @param {IButtonSizeXSProps} props
 */
export const withSizeXS = withBemMod<IButtonSizeXSProps>(cnButton(), {size: 'xs'});
