import {withBemMod} from '@bem-react/core';

import {cnButton} from '@yandex-lego/components/Button';
import './ButtonSizeXxs.pcss';

export interface IButtonSizeXXSProps {
    /**
     * Размер кнопки
     */
    size?: 'xxs';
}

/**
 * Модификатор, отвечающий за размер кнопки.
 * @param {IButtonSizeXXSProps} props
 */
export const withSizeXXS = withBemMod<IButtonSizeXXSProps>(cnButton(), {size: 'xxs'});
