import {withBemMod} from '@bem-react/core';

import {cnButton} from '@yandex-lego/components/Button';
import './ButtonViewPseudoWhite.pcss';

export interface IButtonViewPseudoWhiteProps {
    /**
     * Вид кнопки для второстепенных действий, используйте в ситуациях со сложными цветными фонами
     * Применяется в случаях с тёмным фоном
     */
    view?: 'pseudo-white';
}

/**
 * Модификатор, отвечающий за вид кнопки.
 * @param {IButtonViewPseudoWhiteProps} props
 */
export const withViewPseudoWhite = withBemMod<IButtonViewPseudoWhiteProps>(cnButton(), {view: 'pseudo-white'});
