import {compose, composeU, ExtractProps} from '@bem-react/core';

import {
    Popup as PopupBase,
    withNonvisual,
    withTargetAnchor,
    withViewDefault,
    withThemeClear,
    withThemeNormal,
} from '@yandex-lego/components/Popup/desktop';

export const Popup = compose(
    withNonvisual,
    withTargetAnchor,
    withViewDefault,
    composeU(withThemeClear, withThemeNormal),
)(PopupBase);

export type PopupProps = ExtractProps<typeof Popup>;
