import {compose, composeU} from '@bem-react/core';
import {
    Text as TextDesktop,
    withTypographyDisplayXL,
    withTypographyDisplayL,
    withTypographyDisplayM,
    withTypographyDisplayS,
    withTypographyHeadlineXL,
    withTypographyHeadlineL,
    withTypographyHeadlineM,
    withTypographyHeadlineS,
    withTypographyHeadlineXS,
    withTypographySubheaderXL,
    withTypographySubheaderL,
    withTypographySubheaderM,
    withTypographySubheaderS,
    withTypographyBodyShortXL,
    withTypographyBodyShortL,
    withTypographyBodyShortM,
    withTypographyBodyShortS,
    withTypographyBodyLongXL,
    withTypographyBodyLongL,
    withTypographyBodyLongM,
    withTypographyBodyLongS,
    withTypographyCaptionXL,
    withTypographyCaptionL,
    withTypographyCaptionM,
    withTypographyOverlineL,
    withTypographyOverlineM,
    withTypographyOverlineS,
    withTypographyControlXXS,
    withTypographyControlXS,
    withTypographyControlS,
    withTypographyControlM,
    withTypographyControlL,
    withTypographyControlXL,
    withTypographyControlXXL,
    withWeightLight,
    withWeightRegular,
    withWeightMedium,
    withWeightBold,
} from '@yandex-lego/components/Text/desktop';

export const Text = compose(
    composeU(
        composeU(
            withTypographyDisplayXL, withTypographyDisplayL, withTypographyDisplayM, withTypographyDisplayS,
            withTypographyHeadlineXL, withTypographyHeadlineL, withTypographyHeadlineM, withTypographyHeadlineS,
        ),
        composeU(
            withTypographyHeadlineXS,
            withTypographySubheaderXL, withTypographySubheaderL, withTypographySubheaderM, withTypographySubheaderS,
            withTypographyBodyShortXL, withTypographyBodyShortL, withTypographyBodyShortM,
        ),
        composeU(
            withTypographyBodyShortS,
            withTypographyBodyLongXL, withTypographyBodyLongL, withTypographyBodyLongM, withTypographyBodyLongS,
            withTypographyCaptionXL, withTypographyCaptionL, withTypographyCaptionM,
        ),
        composeU(
            withTypographyOverlineL, withTypographyOverlineM, withTypographyOverlineS,
            withTypographyControlXXS, withTypographyControlXS, withTypographyControlS, withTypographyControlM,
            withTypographyControlL,
        ),
        composeU(
            withTypographyControlXL, withTypographyControlXXL,
        ),
    ),
    composeU(withWeightLight, withWeightRegular, withWeightMedium, withWeightBold),
)(TextDesktop);
