import {BudgetPreset, BudgetSettings} from "../../interface/webhooks/service/wbs/types";

// Всегда пиши название пресета маленькими буквами, или счастье не настанет
export const budgetSettings: Record<BudgetPreset, BudgetSettings> = {
    all: {
        excludeFromBudgetTags: [],
        teamFilterForBudget: [],
        teamDefinitions: [],
    },
    ppd: {
        excludeFromBudgetTags: ['excludeFromBudget'], // определить тикеты с каким тэгом не учитывать в расчёте бюджета
        teamFilterForBudget: ['AdFox UI', 'AdFox Engine', 'PI FrontEnd', 'PI BackEnd'], // команды, для которых нужно вывести бюджет. Если массив пустой, то выведутся все
        teamDefinitions: [
            {
                name: 'AdFox UI',
                queues: ['ADFOX'],
                tags: ['UI'],
                titleContains: [],
                titleDoesntContain: ['[Design]', '[Дизайн]'],
            },
            {
                name: 'AdFox Engine',
                queues: ['ADFOX'],
                tags: ['engine'],
                titleContains: [],
                titleDoesntContain: ['[Design]', '[Дизайн]'],
            },
            {
                name: 'PI FrontEnd',
                queues: ['PI'],
                tags: ['frontend'],
                titleContains: [],
                titleDoesntContain: ['[Design]', '[Дизайн]'],
            },
            {
                name: 'PI BackEnd',
                queues: ['PI'],
                tags: ['backend'],
                titleContains: [],
                titleDoesntContain: ['[Design]', '[Дизайн]'],
            },
            {
                name: 'Design',
                queues: ['PI', 'ADFOX'],
                tags: [],
                titleContains: ['[Design]', '[Дизайн]'],
                titleDoesntContain: [],
            },
        ],
    },
};
