package ru.yandex.partner.hourglass.jobs.validation.block;

import javax.annotation.ParametersAreNonnullByDefault;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Profile;

import ru.yandex.direct.scheduler.Hourglass;
import ru.yandex.direct.scheduler.support.ParameterizedBy;
import ru.yandex.partner.core.service.statevalidation.block.InternalRtbBlockStateValidationService;
import ru.yandex.partner.hourglass.jobs.validation.AbstractValidationJob;
import ru.yandex.partner.hourglass.service.ExecutionHelperService;

@Profile("prod | dev | test | default")
@ParametersAreNonnullByDefault
@Hourglass(cronExpression = "0 0 */6 * * ?")
@ParameterizedBy(parametersSource = InternalRtbBlockValidationJobParams.class)
public class InternalRtbBlockValidationJob extends AbstractValidationJob {

    @Autowired
    public InternalRtbBlockValidationJob(InternalRtbBlockStateValidationService stateValidationService,
                                         ExecutionHelperService executionHelperService,
                                         ApplicationContext applicationContext) {
        super(stateValidationService, executionHelperService, applicationContext);
    }
}
