JAVA_PROGRAM(yandex-partner-java-jsonapi)
OWNER(g:partner_backend)

WITH_KOTLIN()
WITH_KOTLINC_ALLOPEN(preset=spring)

INCLUDE(${ARCADIA_ROOT}/partner/java/common.inc)

PEERDIR(
    partner/java/defaultconfiguration

    partner/java/libs/common
    partner/java/libs/auth
    partner/java/libs/authorization
    partner/java/libs/i18n
    partner/java/libs/memcached/configuration
    partner/java/libs/memcached/service

    contrib/java/org/springframework/boot/spring-boot-starter-jetty
    contrib/java/org/springframework/boot/spring-boot-starter-web
    contrib/java/org/springframework/boot/spring-boot-starter-security
    contrib/java/org/springframework/boot/spring-boot-starter-aop
    contrib/java/org/springframework/retry/spring-retry/1.2.5.RELEASE

    contrib/java/com/fasterxml/jackson/dataformat/jackson-dataformat-xml

    contrib/java/one/util/streamex
    contrib/java/com/google/guava/guava
    contrib/java/com/google/code/findbugs/jsr305
    contrib/java/org/apache/commons/commons-collections4
    contrib/java/org/apache/commons/commons-lang3
    contrib/java/org/mapstruct/mapstruct
    contrib/java/org/mapstruct/mapstruct-processor
    contrib/java/com/github/jgonian/commons-ip-math

    # CRNK start
    contrib/java/io/crnk/crnk-setup-spring-boot2
    contrib/java/io/crnk/crnk-home
    # CRNK end

    library/java/monlib/metrics
    library/java/monlib/metrics-jvm
    library/java/svnversion

    direct/libs/model
    direct/libs/validation
    direct/libs/mysql-compression
    direct/libs/result
)

JAVA_SRCS(SRCDIR src/main/java **/*)
JAVA_SRCS(SRCDIR src/main/resources **/*)

# Added automatically to remove dependency on default contrib versions
DEPENDENCY_MANAGEMENT(
    contrib/java/com/google/code/findbugs/jsr305/3.0.2
)

END()

RECURSE_FOR_TESTS(
    ut
)
