package ru.yandex.partner.core.entity.block.filter.internal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import ru.yandex.partner.core.entity.block.filter.BlockFilters;
import ru.yandex.partner.core.entity.block.model.InternalRtbBlock;
import ru.yandex.partner.core.entity.page.filter.PageModelFilterContainer;
import ru.yandex.partner.core.entity.page.model.BaseInternalPage;
import ru.yandex.partner.core.entity.page.model.BasePage;
import ru.yandex.partner.core.entity.page.model.InternalContextPage;
import ru.yandex.partner.core.filter.container.ModelFilterContainer;
import ru.yandex.partner.core.filter.db.MatchDbFilter;
import ru.yandex.partner.dbschema.partner.tables.ContextOnSiteRtb;

import static ru.yandex.partner.dbschema.partner.Tables.PAGES;

@Component
public class InternalRtbBlockPageMatchDbFilter extends MatchDbFilter<InternalRtbBlock, BasePage, InternalContextPage> {

    private PageModelFilterContainer pageModelFilterContainer;

    @Autowired
    public InternalRtbBlockPageMatchDbFilter() {
        super(BlockFilters.PAGE, InternalRtbBlock.class, InternalContextPage.class,
                ContextOnSiteRtb.CONTEXT_ON_SITE_RTB.CAMPAIGN_ID, PAGES.ID);
    }

    @Autowired
    public void setInternalPageModelFilterContainer(PageModelFilterContainer pageModelFilterContainer) {
        this.pageModelFilterContainer = pageModelFilterContainer;
    }

    @Override
    protected ModelFilterContainer<? super BaseInternalPage> getModelFilterContainer() {
        return pageModelFilterContainer;
    }
}
