JAVA_LIBRARY(partner-core)
OWNER(g:partner_backend)

WITH_KOTLIN()
WITH_KOTLINC_ALLOPEN(preset=spring)

INCLUDE(${ARCADIA_ROOT}/partner/java/common.inc)

PEERDIR(
    direct/libs/model
    direct/libs/jooqmapper
    direct/libs/jooqmapperhelper
    direct/libs/validation
    direct/libs/result
    direct/libs/multitype
    direct/libs/operation

    partner/java/defaultconfiguration
    partner/java/libs/core-model
    partner/java/libs/dbschema
    partner/java/libs/exceptions
    partner/java/libs/test-utils
    partner/java/libs/utils
    partner/java/libs/rbac
    partner/java/libs/extservice
    partner/java/libs/multistate
    partner/java/libs/memcached/service
    partner/java/libs/bspartner/convert
    partner/java/libs/unified-agent

    contrib/java/org/springframework/boot/spring-boot-starter-validation

    contrib/java/org/apache/commons/commons-lang3/3.4
    contrib/java/org/apache/commons/commons-collections4

    contrib/java/org/openjdk/jmh/jmh-core/1.25
    contrib/java/org/openjdk/jmh/jmh-generator-annprocess/1.25

    iceberg/inside-yt
    contrib/java/org/apache/commons/commons-lang3

    contrib/java/org/mapstruct/mapstruct
    contrib/java/org/mapstruct/mapstruct-processor
)

JAVA_SRCS(SRCDIR src/main/java **/*)
JAVA_SRCS(SRCDIR src/main/resources **/*)

END()

RECURSE_FOR_TESTS(
    ut
)

