package ru.yandex.partner.libs.authorization.actioncontext;

import ru.yandex.partner.libs.auth.model.UserAuthentication;
import ru.yandex.partner.libs.authorization.FieldsSet;

public class CreateResult<T> implements Authenticated {
    private UserAuthentication userAuthentication;
    private FieldsSet fieldsSet;
    private T createdInstance;

    public CreateResult(UserAuthentication userAuthentication, FieldsSet fieldsSet, T createdInstance) {
        this.userAuthentication = userAuthentication;
        this.fieldsSet = fieldsSet;
        this.createdInstance = createdInstance;
    }

    @Override
    public UserAuthentication getUserAuthentication() {
        return userAuthentication;
    }

    public FieldsSet getFieldsSet() {
        return fieldsSet;
    }

    public T getCreatedInstance() {
        return createdInstance;
    }
}
