package ru.yandex.partner.libs.authorization.actioncontext;

import ru.yandex.partner.libs.auth.model.UserAuthentication;

public class CustomResult<T> implements Authenticated {
    private UserAuthentication userAuthentication;
    private String actionName;
    private T updatedInstance;

    public CustomResult(UserAuthentication userAuthentication, String actionName,
                        T updatedInstance) {
        this.userAuthentication = userAuthentication;
        this.actionName = actionName;
        this.updatedInstance = updatedInstance;
    }

    @Override
    public UserAuthentication getUserAuthentication() {
        return userAuthentication;
    }

    public String getActionName() {
        return actionName;
    }

    public T getUpdatedInstance() {
        return updatedInstance;
    }
}
