CREATE TABLE IF NOT EXISTS `context_on_site_adblock_action_log` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `dt` DATETIME NOT NULL,
    `user_id` BIGINT UNSIGNED NOT NULL,
    `elem_page_id` INT UNSIGNED NOT NULL,
    `elem_id` INT UNSIGNED NOT NULL,
    `old_multistate` BIGINT UNSIGNED NOT NULL,
    `action` VARCHAR(100) NOT NULL,
    `new_multistate` BIGINT UNSIGNED NOT NULL,
    `opts` TEXT NOT NULL,
    `comment` VARCHAR(100) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    INDEX `context_on_site_adblock_action_log__dt_elem_page_id_elem_id_acti` (`dt`, `elem_page_id`, `elem_id`, `action`),
    INDEX `context_on_site_adblock_action_log__elem_page_id_elem_id_action` (`elem_page_id`, `elem_id`, `action`),
    FOREIGN KEY `fk_context_on_site_adblock_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_context_on_site_adblock_action_log__elem_page_id_elem_id___c` (`elem_page_id`, `elem_id`)
        REFERENCES `context_on_site_adblock` (`page_id`, `id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'