CREATE TABLE IF NOT EXISTS `internal_context_on_site_content` (
    `campaign_id` INT UNSIGNED NOT NULL,
    `id` INT UNSIGNED NOT NULL,
    `create_date` DATETIME DEFAULT '1970-01-01 03:00:00',
    `caption` VARCHAR(255) NOT NULL DEFAULT '',
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `geo` MEDIUMTEXT,
    `comment` TEXT,
    `opts` JSON NOT NULL,
    `is_custom_bk_data` BOOLEAN NOT NULL DEFAULT '0',
    `bk_data` MEDIUMTEXT,
    `site_version` ENUM('general', 'turbo', 'turbo_desktop') NOT NULL DEFAULT 'general',
    `adfox_block` BOOLEAN NOT NULL DEFAULT '0',
    PRIMARY KEY (`campaign_id`, `id`),
    INDEX `internal_context_on_site_content__id` (`id`),
    FOREIGN KEY `fk_internal_context_on_site_content__campaign_id___internal_con` (`campaign_id`)
        REFERENCES `internal_context_on_site_campaign` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'