CREATE TABLE IF NOT EXISTS `internal_search_on_site_premium` (
    `campaign_id` INT UNSIGNED NOT NULL,
    `id` INT UNSIGNED NOT NULL,
    `caption` VARCHAR(255) NOT NULL DEFAULT '',
    `type` VARCHAR(10) NOT NULL,
    `limit` INT UNSIGNED,
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `border_radius` BOOLEAN DEFAULT '0',
    `favicon` BOOLEAN DEFAULT '0',
    `no_sitelinks` BOOLEAN NOT NULL DEFAULT '0',
    `links_underline` BOOLEAN DEFAULT '1',
    `border_type` VARCHAR(8) NOT NULL,
    `site_bg_color` VARCHAR(6) NOT NULL,
    `bg_color` VARCHAR(6),
    `border_color` VARCHAR(6),
    `header_bg_color` VARCHAR(6),
    `sitelinks_color` VARCHAR(6),
    `title_color` VARCHAR(6),
    `text_color` VARCHAR(6),
    `url_color` VARCHAR(6),
    `hover_color` VARCHAR(6),
    `font_family` VARCHAR(15),
    `font_size` VARCHAR(3),
    `title_font_size` TINYINT UNSIGNED,
    `comment` TEXT,
    `adaptive_height` VARCHAR(4) NOT NULL DEFAULT '',
    PRIMARY KEY (`campaign_id`, `id`),
    FOREIGN KEY `fk_internal_search_on_site_premium__campaign_id___internal_sear` (`campaign_id`)
        REFERENCES `internal_search_on_site_campaign` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'