CREATE TABLE IF NOT EXISTS `invites` (
    `id` CHAR(32) NOT NULL,
    `type` TINYINT UNSIGNED NOT NULL,
    `lang` CHAR(2) NOT NULL,
    `email` VARCHAR(150) NOT NULL,
    `manager_id` BIGINT UNSIGNED NOT NULL,
    `partner_id` BIGINT UNSIGNED,
    `create_date` DATETIME NOT NULL,
    `multistate` BIGINT UNSIGNED NOT NULL,
    `opts` JSON NOT NULL,
    PRIMARY KEY (`id`),
    FOREIGN KEY `fk_invites__manager_id___users__id` (`manager_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_invites__partner_id___users__id` (`partner_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'