CREATE TABLE IF NOT EXISTS `partner_content` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `site_id` INT UNSIGNED NOT NULL,
    `modification_date` DATETIME NOT NULL,
    `date` DATE NOT NULL,
    `public_id` VARCHAR(32) NOT NULL,
    `name` VARCHAR(255) NOT NULL,
    `internal_id` BIGINT UNSIGNED,
    `publisher` VARCHAR(255) NOT NULL DEFAULT '',
    `hits` INT UNSIGNED NOT NULL DEFAULT '0',
    `referer` VARCHAR(255) NOT NULL DEFAULT '',
    `source_id` SMALLINT UNSIGNED NOT NULL DEFAULT '1',
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`),
    UNIQUE INDEX `uniq_partner_content__site_id_public_id` (`site_id`, `public_id`),
    FOREIGN KEY `fk_partner_content__site_id___video_an_site__id` (`site_id`)
        REFERENCES `video_an_site` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'