CREATE TABLE IF NOT EXISTS `search_on_site_campaign` (
    `id` INT UNSIGNED NOT NULL,
    `page_id` INT UNSIGNED,
    `create_date` DATETIME NOT NULL DEFAULT '1970-01-01 03:00:00',
    `domain_id` BIGINT UNSIGNED NOT NULL,
    `owner_id` BIGINT UNSIGNED NOT NULL,
    `caption` VARCHAR(255) NOT NULL DEFAULT '',
    `family_filter` BOOLEAN NOT NULL DEFAULT '1',
    `reload_timeout` TINYINT UNSIGNED NOT NULL DEFAULT '30',
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `comment` TEXT,
    `block_title` VARCHAR(255) DEFAULT '',
    `mobile_app_mode` TINYINT NOT NULL DEFAULT '0',
    `pi_id` INT UNSIGNED,
    `market_api` BOOLEAN NOT NULL DEFAULT '0',
    `yandex_xml` BOOLEAN NOT NULL DEFAULT '0',
    `user_synchronization` BOOLEAN NOT NULL DEFAULT '0',
    `blocks_limit` BIGINT NOT NULL DEFAULT '200',
    `blocks_count` BIGINT NOT NULL DEFAULT '0',
    `tag_id` INT UNSIGNED,
    `update_time` DATETIME NOT NULL DEFAULT '1970-01-01 03:00:00',
    `send_time` DATETIME NOT NULL DEFAULT '1970-01-01 03:00:00',
    `page_lang` INT UNSIGNED NOT NULL DEFAULT '1',
    `metrica_counters` VARCHAR(1024) NOT NULL DEFAULT '',
    `tier` TINYINT DEFAULT '3',
    `creator_id` BIGINT UNSIGNED NOT NULL,
    `opts` JSON NOT NULL,
    `patch` JSON,
    PRIMARY KEY (`id`),
    UNIQUE INDEX `uniq_search_on_site_campaign__page_id` (`page_id`),
    FOREIGN KEY `fk_search_on_site_campaign__domain_id___site__id` (`domain_id`)
        REFERENCES `site` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_search_on_site_campaign__owner_id___users__id` (`owner_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_search_on_site_campaign__creator_id___users__id` (`creator_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'