CREATE TABLE IF NOT EXISTS `statistics_video_an_site_page` (
    `dt` DATE NOT NULL,
    `page_id` INT UNSIGNED NOT NULL,
    `category_id` BIGINT UNSIGNED NOT NULL,
    `currency_id` TINYINT UNSIGNED NOT NULL DEFAULT '2',
    `instream_block_preroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_preroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_preroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_postroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_postroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_postroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_midroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_midroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_midroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_pauseroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_pauseroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_pauseroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_inroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_inroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_inroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_s2sroll_shows` INT UNSIGNED NOT NULL,
    `instream_block_s2sroll_hits` INT UNSIGNED NOT NULL,
    `instream_block_s2sroll_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_overlay_shows` INT UNSIGNED NOT NULL,
    `instream_block_overlay_hits` INT UNSIGNED NOT NULL,
    `instream_block_overlay_all_hits` INT UNSIGNED NOT NULL,
    `instream_block_view` INT UNSIGNED NOT NULL,
    `instream_block_open_player` INT UNSIGNED NOT NULL,
    `an_fraud_shows` INT UNSIGNED NOT NULL,
    `an_fraud_clicks` INT UNSIGNED NOT NULL,
    PRIMARY KEY (`dt`, `page_id`, `category_id`, `currency_id`),
    FOREIGN KEY `fk_statistics_video_an_site_page__page_id___video_an_site__id` (`page_id`)
        REFERENCES `video_an_site` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8'