/* PI-10962 */

RENAME TABLE
    `statistics_reports` TO `statistics_reports__after_adfox_migration`,
    `statistics_reports__before_adfox_migration` TO `statistics_reports`,
    `statistics_reports_action_log` TO `statistics_reports_action_log__after_adfox_migration`,
    `statistics_reports_action_log__before_adfox_migration` TO `statistics_reports_action_log`,
    `deleted_standart_statistics_reports` TO `deleted_standart_statistics_reports__after_adfox_migration`,
    `deleted_standart_statistics_reports__before_adfox_migration` TO `deleted_standart_statistics_reports`,
    `stat_report_params_digest` TO `stat_report_params_digest__after_adfox_migration`,
    `stat_report_params_digest__before_adfox_migration` TO `stat_report_params_digest`,
    `event_log` TO `event_log__after_adfox_migration`,
    `event_log__before_adfox_migration` TO `event_log`,
    `event_log_action_log` TO `event_log_action_log__after_adfox_migration`,
    `event_log_action_log__before_adfox_migration` TO `event_log_action_log`,
    `widgets` TO `widgets__after_adfox_migration`,
    `widgets__before_adfox_migration` TO `widgets`,
    `widgets_action_log` TO `widgets_action_log__after_adfox_migration`,
    `widgets_action_log__before_adfox_migration` TO `widgets_action_log`,
    /* statistics tables */
    `statistics_context_on_site_rtb` TO `statistics_context_on_site_rtb__after_adfox_migration`,
    `statistics_context_on_site_rtb__before_adfox_migration` TO `statistics_context_on_site_rtb`;

INSERT INTO `statistics_reports_level_order` (`level_id`, `order`) VALUES ('advnet_context_on_site_adfox', 50);

DELETE FROM `deleted_standart_statistics_reports` WHERE `report_id` = 'video_block_detailed_report';

ALTER TABLE `statistics_reports`
    ADD FOREIGN KEY `fk_statistics_reports__level___statistics_reports_level_order__` (`level`)
        REFERENCES `statistics_reports_level_order` (`level_id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `statistics_reports_action_log`
    ADD FOREIGN KEY `fk_statistics_reports_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    ADD FOREIGN KEY `fk_statistics_reports_action_log__elem_id___statistics_reports_` (`elem_id`)
        REFERENCES `statistics_reports` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `deleted_standart_statistics_reports`
    ADD FOREIGN KEY `fk_deleted_standart_statistics_reports__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    ADD FOREIGN KEY `fk_deleted_standart_statistics_reports__report_id___statistics_` (`report_id`)
        REFERENCES `statistics_reports` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `event_log`
    ADD FOREIGN KEY `fk_event_log__create_user_id___users__id` (`create_user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `event_log_action_log`
    ADD FOREIGN KEY `fk_event_log_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    ADD FOREIGN KEY `fk_event_log_action_log__elem_id___event_log__id` (`elem_id`)
        REFERENCES `event_log` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `widgets`
    ADD FOREIGN KEY `fk_widgets__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

ALTER TABLE `widgets_action_log`
    ADD FOREIGN KEY `fk_widgets_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    ADD FOREIGN KEY `fk_widgets_action_log__elem_user_id___widgets__user_id` (`elem_user_id`)
        REFERENCES `widgets` (`user_id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT;

DELETE FROM `context_on_site_rtb_action_log` WHERE (elem_campaign_id, elem_id) IN (SELECT campaign_id, id FROM context_on_site_adfox);

DELETE FROM `media_sizes` WHERE (page_id, block_id) IN (SELECT campaign_id, id FROM context_on_site_adfox);

DELETE FROM `context_on_site_dsps` WHERE (campaign_id, block_id) IN (SELECT campaign_id, id FROM context_on_site_adfox);

DELETE FROM `context_on_site_rtb` WHERE (campaign_id, id) IN (SELECT campaign_id, id FROM context_on_site_adfox);

/* PI-10962 */
