(function ($, BEM, undefined) {
    'use strict';

    BEM.DOM.decl('b-ad-appearance', {
        onSetMod: {
            js: function () {
                this._borderTypeSelect = this.findBlockOn('border-type', 'pi-form-select');
                this._borderColorPicker = this.findBlockOn('border-color', 'pi-form-colorpicker');
                this._setBorderType();

                this.__base.apply(this, arguments);
            }
        },

        _onChange: function () {
            this._setBorderType();
            return this.__base.apply(this, arguments);
        },

        _setBorderType: function () {
            if (!this._borderTypeSelect || !this._borderColorPicker) {
                return;
            }

            if (this._borderTypeSelect.val() === 'none') {
                this._borderColorPicker.setMod('disabled', 'yes');
            } else {
                this._borderColorPicker.delMod('disabled');
            }
        }

    });

})(jQuery, BEM);
