(function (BEM) {
    'use strict';

    BEM.DOM.decl('b-popupa', {
        calcDirectionParams: function () {
            var params = this.__base.apply(this, arguments);

            if (params.offsets && params.offsets.left) {
                // если d.ownerWidth нечетной ширины, а содержание попапа четной, то
                // содержимое попапа может дергаться по горизонтали
                // на 1 пиксель, в Chrome при показе
                //
                // у меня дергался текст в textarea при показе, если
                // ссылка-триггер ширины 152px, а textarea ширины 443px
                // params.offsets.left получался равным 422.5px
                // Ya.Browser 14.2.1700.12599 (fae6661) под win7
                // nafania@
                params.offsets.left = Math.round(params.offsets.left);
            }

            return params;
        }
    });
})(BEM);
