## Описание

Футер, прилипающий к низу страницы. Работает когда содержимое страницы меньше области просмотра. Зависит от блока `footer`.
По умолчанию футер формируется с двумя колонками и набором ссылок: "Помощь", "Копирайт", "Вакансии", "О компании". Также можно добавить "Пользовательское соглашение", "Обратная связь" и "Переключатель языков". Для этого нужно создать поля `agreement`, `feedback` и `langs` соответственно.
При желании содержимое футера можно задать явно через поле `content`.



### Пример входного BEMJSON

    {
        block: 'a-footer',
        agreement: [
            { url: 'http://somewhere', text: 'Для России' },
            { url: 'http://somewhere', text: 'Для Турции' }
        ],
        feedback: {
            menuTitle: 'Служба поддержки сервиса:',
            menu: [
                { url: 'http://somewhere', text: 'DSP' },
                { url: 'http://somewhere', text: 'Дистрибуция' },
                { url: 'http://somewhere', text: 'Рекламная сеть' }
            ]
        },
        langs: {
            lang: { code: 'ru', name: 'Русский' },
            menu: [
                { code: 'en', name: 'English' },
                { code: 'ru', name: 'Русский', selected: 'yes' }
            ]
        }
    }



### Поля

* `agreement` и `feedback`: Данные поля формируются объектом или массивом. Массив интерпретируется как объект с полем `menu`.
Поля объекта:
    * **menu**: массив элементов выпадающего меню
    * **menuTitle**: заголовок выпадающего меню
* `langs`: Данное поле формируется объектом. Поля объекта:
    * **lang**: отвечает за выбранный в данный момент язык
    * **menu**: массив возможных языков (показывает в выпадающем меню)
