package Application::Model::PartnerDB::Fias;

use qbit;

use base qw(QBit::Application::Model::DB::mysql);

__PACKAGE__->meta(
    tables => {
        map {
            $_ => {
                fields => [
                    {name => 'formal_name', type => 'VARCHAR', length   => '255', not_null => TRUE,},
                    {name => 'guid',        type => 'CHAR',    length   => '36',  not_null => TRUE,},
                    {name => 'obj_level',   type => 'TINYINT', not_null => TRUE,},
                    {name => 'parent_guid', type => 'CHAR',    length   => '36',},
                    {name => 'short_name',  type => 'VARCHAR', length   => '255', not_null => TRUE,},
                ],
                indexes => [{fields => [qw(guid)]}, {fields => ['parent_guid']}],
              }
          } (qw(fias fias_tmp)),
    }
);

TRUE;
