package Application::Model::Product::AN::ContextOnSite::BlockTypes::RTB;

use base qw(Exporter);

use qbit;

our @EXPORT_OK = qw(
  @BOOLEAN_FIELDS
  @MEDIA_BLOCKS
  %MEDIA_BLOCKS
  );

our @BOOLEAN_FIELDS = qw(
  horizontal_align
  );

our @MEDIA_BLOCKS = (
    {
        id            => '1000x120',
        short_caption => d_gettext('1000×120'),
        site_version  => [qw(desktop turbo_desktop mobile amp)],
    },
    {id => '160x600', short_caption => d_gettext('160×600'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '240x600', short_caption => d_gettext('240×600'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '240x400', short_caption => d_gettext('240×400'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '300x600', short_caption => d_gettext('300×600'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '300x500', short_caption => d_gettext('300×500'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {
        id            => '300x300',
        short_caption => d_gettext('300×300'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
    {
        id            => '300x250',
        short_caption => d_gettext('300×250'),
        site_version  => [qw(desktop mobile turbo amp)],
    },
    {
        id            => '320x50',
        short_caption => d_gettext('320×50'),
        site_version  => [qw(desktop mobile turbo amp)],
    },
    {
        id            => '320x100',
        short_caption => d_gettext('320×100'),
        site_version  => [qw(desktop mobile turbo amp)],
    },
    {
        id            => '336x280',
        short_caption => d_gettext('336×280'),
        site_version  => [qw(desktop mobile turbo amp)],
    },
    {id => '728x90',  short_caption => d_gettext('728×90'),  site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '970x250', short_caption => d_gettext('970×250'), site_version => [qw(desktop turbo_desktop mobile amp)],},
    {id => '970x90',  short_caption => d_gettext('970×90'),  site_version => [qw(desktop turbo_desktop mobile amp)],},
    {
        id            => '100%x250',
        short_caption => d_gettext('100%×250'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
    {
        id            => '100%x200',
        short_caption => d_gettext('100%×200'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
    {
        id            => '100%x180',
        short_caption => d_gettext('100%×180'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
    {
        id            => '100%x120',
        short_caption => d_gettext('100%×120'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
    {
        id            => '100%x90',
        short_caption => d_gettext('100%×90'),
        site_version  => [qw(desktop turbo_desktop mobile turbo amp)],
    },
);

our %MEDIA_BLOCKS = map {$_->{'id'} => $_} @MEDIA_BLOCKS;

TRUE;
