package Application::Model::Role::Has::ModerationReason::Site;

use qbit;

use Application::Model::Role;

consume qw(
  Application::Model::Role::Has::ModerationReason
  );

requires qw(
  can_action_reject
  on_action_approve
  on_action_reject
  on_action_return_to_moderation
  );

sub on_action_approve {
    my ($self, $obj, %opts) = @_;

    $self->_on_positive_action($obj, %opts);
}

sub can_action_reject {
    my ($self, $obj, %opts) = @_;

    return $self->_can_negative_action($obj, %opts);
}

sub on_action_reject {
    my ($self, $obj, %opts) = @_;

    $self->_on_negative_action($obj, %opts);
}

sub on_action_return_to_moderation {
    my ($self, $obj, %opts) = @_;

    $self->_on_positive_action($obj, %opts);
}

TRUE;
