package Application::Model::Statistics::Fields::ShortTitles;

use qbit;

use base qw(Exporter);

our @EXPORT = qw($SHORT_TITLES);

our $SHORT_TITLES = {
    (
        map {$_ => d_gettext('percent_content_bad_win_price_content_all__short_title')}
          qw(percent_content_bad_win_price_content_all_w_nds percent_content_bad_win_price_content_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_natural_bad_win_price_natural_all__short_title')}
          qw(percent_natural_bad_win_price_natural_all_w_nds percent_natural_bad_win_price_natural_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_rtb_bad_win_price_rtb_all__short_title')}
          qw(percent_rtb_bad_win_price_rtb_all_w_nds percent_rtb_bad_win_price_rtb_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_content_bad_win_partner_price_content_partner__short_title')}
          qw(percent_content_bad_win_partner_price_content_partner_w_nds percent_content_bad_win_partner_price_content_partner_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_natural_bad_win_partner_price_natural_partner__short_title')}
          qw(percent_natural_bad_win_partner_price_natural_partner_w_nds percent_natural_bad_win_partner_price_natural_partner_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_rtb_bad_win_partner_price_rtb_partner__short_title')}
          qw(percent_rtb_bad_win_partner_price_rtb_partner_w_nds percent_rtb_bad_win_partner_price_rtb_partner_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_mobile_rtb_bad_win_price_mobile_rtb_all__short_title')}
          qw(percent_mobile_rtb_bad_win_price_mobile_rtb_all_w_nds percent_mobile_rtb_bad_win_price_mobile_rtb_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('percent_mobile_rtb_bad_win_partner_price_mobile_rtb_partner__short_title')}
          qw(percent_mobile_rtb_bad_win_partner_price_mobile_rtb_partner_w_nds percent_mobile_rtb_bad_win_partner_price_mobile_rtb_partner_wo_nds)
    ),
    (
        map {$_ => d_gettext('premium_cpmh__short_title')}
          qw(premium_cpmh_partner_w_nds premium_cpmh_partner_wo_nds premium_cpmh_all_w_nds premium_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_search_cpmh__short_title')}
          qw(direct_search_cpmh_direct_search_partner_w_nds direct_search_cpmh_direct_search_partner_wo_nds direct_search_cpmh_direct_search_all_w_nds direct_search_cpmh_direct_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mcb_context_cpmh__short_title')}
          qw(mcb_context_cpmh_mcb_context_partner_w_nds mcb_context_cpmh_mcb_context_partner_wo_nds mcb_context_cpmh_mcb_context_all_w_nds mcb_context_cpmh_mcb_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_context_cpmh__short_title')}
          qw(market_context_cpmh_market_context_partner_w_nds market_context_cpmh_market_context_partner_wo_nds market_context_cpmh_market_context_all_w_nds market_context_cpmh_market_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mcb_search_cpmh__short_title')}
          qw(mcb_search_cpmh_mcb_search_partner_w_nds mcb_search_cpmh_mcb_search_partner_wo_nds mcb_search_cpmh_mcb_search_all_w_nds mcb_search_cpmh_mcb_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_search_cpmh__short_title')}
          qw(market_search_cpmh_market_search_partner_w_nds market_search_cpmh_market_search_partner_wo_nds market_search_cpmh_market_search_all_w_nds market_search_cpmh_market_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('content_block_rpm__short_title')}
          qw(content_block_rpm_partner_w_nds content_block_rpm_partner_wo_nds content_block_rpm_all_w_nds content_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('natural_block_rpm__short_title')}
          qw(natural_block_rpm_partner_w_nds natural_block_rpm_partner_wo_nds natural_block_rpm_all_w_nds natural_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('rtb_block_rpm__short_title')}
          qw(rtb_block_rpm_partner_w_nds rtb_block_rpm_partner_wo_nds rtb_block_rpm_all_w_nds rtb_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mobile_rtb_block_rpm__short_title')}
          qw(mobile_rtb_block_rpm_partner_w_nds mobile_rtb_block_rpm_partner_wo_nds mobile_rtb_block_rpm_all_w_nds mobile_rtb_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('ssp_mobile_rtb_block_rpm__short_title')}
          qw(ssp_mobile_rtb_block_rpm_partner_w_nds ssp_mobile_rtb_block_rpm_partner_wo_nds ssp_mobile_rtb_block_rpm_all_w_nds ssp_mobile_rtb_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('adblock_block_rpm__short_title')}
          qw(adblock_block_rpm_partner_w_nds adblock_block_rpm_partner_wo_nds adblock_block_rpm_all_w_nds adblock_block_rpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_context_cpmh__short_title')}
          qw(direct_context_cpmh_direct_context_partner_w_nds direct_context_cpmh_direct_context_partner_wo_nds direct_context_cpmh_direct_context_all_w_nds direct_context_cpmh_direct_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('Stripe CPMH')}
          qw(stripe_cpmh_partner_w_nds stripe_cpmh_partner_wo_nds stripe_cpmh_all_w_nds stripe_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('instream_block_cpmh__short_title')}
          qw(instream_block_cpmh_partner_w_nds instream_block_cpmh_partner_wo_nds instream_block_cpmh_all_w_nds instream_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('inpage_block_cpmh__short_title')}
          qw(inpage_block_cpmh_partner_w_nds inpage_block_cpmh_partner_wo_nds inpage_block_cpmh_all_w_nds inpage_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('fullscreen_block_cpmh__short_title')}
          qw(fullscreen_block_cpmh_partner_w_nds fullscreen_block_cpmh_partner_wo_nds fullscreen_block_cpmh_all_w_nds fullscreen_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('indoor_block_cpmh__short_title')}
          qw(indoor_block_cpmh_partner_w_nds indoor_block_cpmh_partner_wo_nds indoor_block_cpmh_all_w_nds indoor_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('outdoor_block_cpmh__short_title')}
          qw(outdoor_block_cpmh_partner_w_nds outdoor_block_cpmh_partner_wo_nds outdoor_block_cpmh_all_w_nds outdoor_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('content_block_cpmh__short_title')}
          qw(content_block_cpmh_partner_w_nds content_block_cpmh_partner_wo_nds content_block_cpmh_all_w_nds content_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('natural_block_cpmh__short_title')}
          qw(natural_block_cpmh_partner_w_nds natural_block_cpmh_partner_wo_nds natural_block_cpmh_all_w_nds natural_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('rtb_block_cpmh__short_title')}
          qw(rtb_block_cpmh_partner_w_nds rtb_block_cpmh_partner_wo_nds rtb_block_cpmh_all_w_nds rtb_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mobile_rtb_block_cpmh__short_title')}
          qw(mobile_rtb_block_cpmh_partner_w_nds mobile_rtb_block_cpmh_partner_wo_nds mobile_rtb_block_cpmh_all_w_nds mobile_rtb_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('ssp_mobile_rtb_block_cpmh__short_title')}
          qw(ssp_mobile_rtb_block_cpmh_partner_w_nds ssp_mobile_rtb_block_cpmh_partner_wo_nds ssp_mobile_rtb_block_cpmh_all_w_nds ssp_mobile_rtb_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('adblock_block_cpmh__short_title')}
          qw(adblock_block_cpmh_partner_w_nds adblock_block_cpmh_partner_wo_nds adblock_block_cpmh_all_w_nds adblock_block_cpmh_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('instream_block_cpm__short_title')}
          qw(instream_block_cpm_partner_w_nds instream_block_cpm_partner_wo_nds instream_block_cpm_all_w_nds instream_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('inpage_block_cpm__short_title')}
          qw(inpage_block_cpm_partner_w_nds inpage_block_cpm_partner_wo_nds inpage_block_cpm_all_w_nds inpage_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('fullscreen_block_cpm__short_title')}
          qw(fullscreen_block_cpm_partner_w_nds fullscreen_block_cpm_partner_wo_nds fullscreen_block_cpm_all_w_nds fullscreen_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('indoor_block_cpm__short_title')}
          qw(indoor_block_cpm_partner_w_nds indoor_block_cpm_partner_wo_nds indoor_block_cpm_all_w_nds indoor_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('outdoor_block_cpm__short_title')}
          qw(outdoor_block_cpm_partner_w_nds outdoor_block_cpm_partner_wo_nds outdoor_block_cpm_all_w_nds outdoor_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('content_block_cpm__short_title')}
          qw(content_block_cpm_partner_w_nds content_block_cpm_partner_wo_nds content_block_cpm_all_w_nds content_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('natural_block_cpm__short_title')}
          qw(natural_block_cpm_partner_w_nds natural_block_cpm_partner_wo_nds natural_block_cpm_all_w_nds natural_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('rtb_block_cpm__short_title')}
          qw(rtb_block_cpm_partner_w_nds rtb_block_cpm_partner_wo_nds rtb_block_cpm_all_w_nds rtb_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mobile_rtb_block_cpm__short_title')}
          qw(mobile_rtb_block_cpm_partner_w_nds mobile_rtb_block_cpm_partner_wo_nds mobile_rtb_block_cpm_all_w_nds mobile_rtb_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('ssp_mobile_rtb_block_cpm__short_title')}
          qw(ssp_mobile_rtb_block_cpm_partner_w_nds ssp_mobile_rtb_block_cpm_partner_wo_nds ssp_mobile_rtb_block_cpm_all_w_nds ssp_mobile_rtb_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('adblock_block_cpm__short_title')}
          qw(adblock_block_cpm_partner_w_nds adblock_block_cpm_partner_wo_nds adblock_block_cpm_all_w_nds adblock_block_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('premium_cpm__short_title')}
          qw(premium_cpm_partner_w_nds premium_cpm_partner_wo_nds premium_cpm_all_w_nds premium_cpm_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_context_cpm__short_title')}
          qw(direct_context_cpm_direct_context_partner_w_nds direct_context_cpm_direct_context_partner_wo_nds direct_context_cpm_direct_context_all_w_nds direct_context_cpm_direct_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_search_cpm__short_title')}
          qw(direct_search_cpm_direct_search_partner_w_nds direct_search_cpm_direct_search_partner_wo_nds direct_search_cpm_direct_search_all_w_nds direct_search_cpm_direct_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mcb_context_cpm__short_title')}
          qw(mcb_context_cpm_mcb_context_partner_w_nds mcb_context_cpm_mcb_context_partner_wo_nds mcb_context_cpm_mcb_context_all_w_nds mcb_context_cpm_mcb_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('mcb_search_cpm__short_title')}
          qw(mcb_search_cpm_mcb_search_partner_w_nds mcb_search_cpm_mcb_search_partner_wo_nds mcb_search_cpm_mcb_search_all_w_nds mcb_search_cpm_mcb_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_context_cpm__short_title')}
          qw(market_context_cpm_market_context_partner_w_nds market_context_cpm_market_context_partner_wo_nds market_context_cpm_market_context_all_w_nds market_context_cpm_market_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_api_context_cpm__short_title')}
          qw(market_api_context_cpm_market_api_context_partner_w_nds market_api_context_cpm_market_api_context_partner_wo_nds market_api_context_cpm_market_api_context_all_w_nds market_api_context_cpm_market_api_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_search_cpm__short_title')}
          qw(market_search_cpm_market_search_partner_w_nds market_search_cpm_market_search_partner_wo_nds market_search_cpm_market_search_all_w_nds market_search_cpm_market_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_api_search_cpm__short_title')}
          qw(market_api_search_cpm_market_api_search_partner_w_nds market_api_search_cpm_market_api_search_partner_wo_nds market_api_search_cpm_market_api_search_all_w_nds market_api_search_cpm_market_api_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('stripe_cpm__short_title')}
          qw(stripe_cpm_partner_w_nds stripe_cpm_partner_wo_nds stripe_cpm_all_w_nds stripe_cpm_all_wo_nds)
    ),
    (map {$_ => d_gettext('DSP CPM')} qw(dsp_cpm_charging_w_nds dsp_cpm_charging_wo_nds)),
    (
        map {$_ => d_gettext('premium_cpc__short_caption')}
          qw(premium_cpc_partner_w_nds premium_cpc_partner_wo_nds premium_cpc_all_w_nds premium_cpc_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_context_cpc__short_title')}
          qw(direct_context_cpc_direct_context_partner_w_nds direct_context_cpc_direct_context_partner_wo_nds direct_context_cpc_direct_context_all_w_nds direct_context_cpc_direct_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('direct_search_cpc__short_title')}
          qw(direct_search_cpc_direct_search_partner_w_nds direct_search_cpc_direct_search_partner_wo_nds direct_search_cpc_direct_search_all_w_nds direct_search_cpc_direct_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_context_cpc__short_title')}
          qw(market_context_cpc_market_context_partner_w_nds market_context_cpc_market_context_partner_wo_nds market_context_cpc_market_context_all_w_nds market_context_cpc_market_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_api_context_cpc__short_title')}
          qw(market_api_context_cpc_market_api_context_partner_w_nds market_api_context_cpc_market_api_context_partner_wo_nds market_api_context_cpc_market_api_context_all_w_nds market_api_context_cpc_market_api_context_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_search_cpc__short_title')}
          qw(market_search_cpc_market_search_partner_w_nds market_search_cpc_market_search_partner_wo_nds market_search_cpc_market_search_all_w_nds market_search_cpc_market_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('market_api_search_cpc__short_title')}
          qw(market_api_search_cpc_market_api_search_partner_w_nds market_api_search_cpc_market_api_search_partner_wo_nds market_api_search_cpc_market_api_search_all_w_nds market_api_search_cpc_market_api_search_all_wo_nds)
    ),
    (
        map {$_ => d_gettext('Stripe CPC')}
          qw(stripe_cpc_partner_w_nds stripe_cpc_partner_wo_nds stripe_cpc_all_w_nds stripe_cpc_all_wo_nds)
    ),
    (map {$_ => d_gettext('Average rate')} qw(average_rate_all_real_price_w_nds average_rate_all_real_price_wo_nds)),
    (
        map {$_ => d_gettext('video_an_site_sum_partner__short_title')}
          qw(video_an_site_sum_partner_w_nds video_an_site_sum_partner_wo_nds)
    ),
    (map {$_ => d_gettext('indoor_sum_partner__short_title')} qw(indoor_sum_partner_w_nds indoor_sum_partner_wo_nds)),
    (
        map {$_ => d_gettext('outdoor_sum_partner__short_title')}
          qw(outdoor_sum_partner_w_nds outdoor_sum_partner_wo_nds)
    ),
    (
        map {$_ => d_gettext('video_an_site_sum_all__short_title')}
          qw(video_an_site_sum_all_w_nds video_an_site_sum_all_wo_nds)
    ),
    (map {$_ => d_gettext('indoor_sum_all__short_title')} qw(indoor_sum_all_w_nds indoor_sum_all_wo_nds)),
    (map {$_ => d_gettext('outdoor_sum_all__short_title')} qw(outdoor_sum_all_w_nds outdoor_sum_all_wo_nds)),
};

TRUE;
