(function () {
    'use strict';

    BEM.DOM.decl({block: 'b-form-input', modName: 'autocomplete', modVal: 'yes'}, {
        /**
         * Этот метод следует вызывать перед удалением блока,
         * т.к. блок добавляет к попапу класс b-form-input__popup и
         * это приводит к тому, что метод destruct у блока не вызывается,
         * если была показана ошибка около блока, она останется висеть.
         * Актуально, если блок отображается в попапе.
         **/
        destructPopup: function () {
            if (this._popup && this._popup.domElem) {
                this._popup.destruct();
                this._popup = null;
            }
        }
    });
})();
