# bin/multistates_to_sql.pl --unset=check_statistics > migrations/after_release/mysql/PI-26389_turn_off_check_stat_from_multistate.sql

DELIMITER $$
CREATE PROCEDURE UnsetMultistate()
BEGIN
    DECLARE counter INT DEFAULT 0;
    DECLARE iteration INT DEFAULT 0;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_adblock, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_adblock` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_campaign, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_campaign` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_content, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_content` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_direct, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_direct` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_market, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_market` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_market_api, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_market_api` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_mcb, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_mcb` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_natural, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_natural` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_rtb, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("context_on_site_stripe, iteration: ", iteration) AS debug;
        UPDATE `context_on_site_stripe` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("indoor, iteration: ", iteration) AS debug;
        UPDATE `indoor` SET `multistate` = `multistate` & ~128 WHERE `multistate` & 128 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("indoor_block, iteration: ", iteration) AS debug;
        UPDATE `indoor_block` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_campaign, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_campaign` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_content, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_content` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_direct, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_direct` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_natural, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_natural` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_rtb, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_context_on_site_stripe, iteration: ", iteration) AS debug;
        UPDATE `internal_context_on_site_stripe` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_mobile_app, iteration: ", iteration) AS debug;
        UPDATE `internal_mobile_app` SET `multistate` = `multistate` & ~16 WHERE `multistate` & 16 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_mobile_app_rtb, iteration: ", iteration) AS debug;
        UPDATE `internal_mobile_app_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_search_on_site_campaign, iteration: ", iteration) AS debug;
        UPDATE `internal_search_on_site_campaign` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_search_on_site_direct, iteration: ", iteration) AS debug;
        UPDATE `internal_search_on_site_direct` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("internal_search_on_site_premium, iteration: ", iteration) AS debug;
        UPDATE `internal_search_on_site_premium` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("mobile_app_rtb, iteration: ", iteration) AS debug;
        UPDATE `mobile_app_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("mobile_app_settings, iteration: ", iteration) AS debug;
        UPDATE `mobile_app_settings` SET `multistate` = `multistate` & ~16 WHERE `multistate` & 16 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("outdoor, iteration: ", iteration) AS debug;
        UPDATE `outdoor` SET `multistate` = `multistate` & ~128 WHERE `multistate` & 128 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("outdoor_block, iteration: ", iteration) AS debug;
        UPDATE `outdoor_block` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_campaign, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_campaign` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_direct, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_direct` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_market, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_market` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_market_api, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_market_api` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_mcb, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_mcb` SET `multistate` = `multistate` & ~2 WHERE `multistate` & 2 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("search_on_site_premium, iteration: ", iteration) AS debug;
        UPDATE `search_on_site_premium` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_context_on_site_campaign, iteration: ", iteration) AS debug;
        UPDATE `ssp_context_on_site_campaign` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_context_on_site_rtb, iteration: ", iteration) AS debug;
        UPDATE `ssp_context_on_site_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_mobile_app_rtb, iteration: ", iteration) AS debug;
        UPDATE `ssp_mobile_app_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_mobile_app_settings, iteration: ", iteration) AS debug;
        UPDATE `ssp_mobile_app_settings` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_video_an_site, iteration: ", iteration) AS debug;
        UPDATE `ssp_video_an_site` SET `multistate` = `multistate` & ~64 WHERE `multistate` & 64 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("ssp_video_an_site_rtb, iteration: ", iteration) AS debug;
        UPDATE `ssp_video_an_site_rtb` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("video_an_site, iteration: ", iteration) AS debug;
        UPDATE `video_an_site` SET `multistate` = `multistate` & ~16 WHERE `multistate` & 16 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("video_an_site_fullscreen, iteration: ", iteration) AS debug;
        UPDATE `video_an_site_fullscreen` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("video_an_site_inpage, iteration: ", iteration) AS debug;
        UPDATE `video_an_site_inpage` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
    SET iteration = 1;
    REPEAT
        SELECT CONCAT("video_an_site_instream, iteration: ", iteration) AS debug;
        UPDATE `video_an_site_instream` SET `multistate` = `multistate` & ~4 WHERE `multistate` & 4 LIMIT 100000;
        SET iteration = iteration + 1;
        SET counter = ROW_COUNT();
    UNTIL counter = 0
    END REPEAT;
END$$
DELIMITER ;
CALL UnsetMultistate();
DROP PROCEDURE UnsetMultistate;
