CREATE TABLE IF NOT EXISTS `picategories` (
    `page_id` INT UNSIGNED NOT NULL,
    `block_id` INT UNSIGNED NOT NULL,
    `category_id` INT NOT NULL,
    `cpm` INT,
    PRIMARY KEY (`page_id`, `block_id`, `category_id`)
);

CREATE TABLE IF NOT EXISTS `picategories_dict` (
    `category_id` INT NOT NULL,
    `parent_id` INT NOT NULL,
    `level` INT NOT NULL,
    `name_en` VARCHAR(50) NOT NULL, `name_ru` VARCHAR(50) NOT NULL,
    PRIMARY KEY (`category_id`)
);

delete from `picategories_dict`;

insert into `picategories_dict`
(`category_id`,`parent_id`,`level`,`name_en`,`name_ru`)
values
(0,0,0,'MAIN GROUP','ОСНОВНАЯ ГРУППА'),
('1','0','1','Automotive','Автомобили и мотоциклы'),
('30','1','2','Auto Buying and Selling','Покупка и продажа автомобилей'),
('32','1','2','Auto Parts','Автозапчасти и аксессуары'),
('34','1','2','Auto Repair','Ремонт автомобилей'),
('37','1','2','Auto Technology','Автомобильные технологии и системы'),
('42','0','1','Books and Literature','Книги и литература'),
('52','0','1','Business and Finance','Бизнес и финансы'),
('53','52','2','Business','Услуги для бизнеса'),
('54','53','3','Business Accounting & Finance','Финансы и учет'),
('55','53','3','Human Resources','Управление персоналом'),
('57','53','3','Logistics','Логистика'),
('58','53','3','Marketing and Advertising','Маркетинг и реклама'),
('63','53','3','Business Banking & Finance','Банковские и финансовые услуги'),
('90','52','2','Industries','Отраслевые услуги и товары'),
('100','90','3','Legal Services Industry','Юридические услуги'),
('102','90','3','Agriculture','Сельское хозяйство'),
('104','90','3','Manufacturing Industry','Производственный сектор'),
('107','90','3','Metals Industry','Металлургическая промышленность'),
('108','90','3','Non-Profit Organizations','Некоммерческие организации'),
('110','90','3','Power and Energy Industry','Электроэнергетика'),
('111','90','3','Publishing Industry','Издательская индустрия'),
('116','90','3','Telecommunications Industry','Телекоммуникации'),
('121','90','3','Construction Industry','Строительство'),
('123','0','1','Careers','Трудоустройство и карьера'),
('132','0','1','Education','Образование'),
('150','0','1','Events and Attractions','События и мероприятия'),
('151','150','2','Amusement and Theme Parks','Парки развлечений'),
('155','150','2','Museums & Galleries','Музеи и галереи'),
('158','150','2','Nightclubs','Ночные клубы'),
('163','150','2','Personal Celebrations & Life Events','Личные события и праздники'),
('177','150','2','Theater Venues and Events','Театр'),
('179','150','2','Bars & Restaurants','Бары и рестораны'),
('180','150','2','Business Expos & Conferences','Деловые выставки и конференции'),
('182','150','2','Cinemas and Events','Кино'),
('184','150','2','Concerts & Music Events','Концерты и музыкальные события'),
('186','0','1','Family and Relationships','Семья и отношения'),
('210','0','1','Food & Drink','Еда и напитки'),
('223','0','1','Healthy Living','Здоровый образ жизни'),
('225','223','2','Fitness and Exercise','Фитнес и упражнения'),
('239','0','1','Hobbies & Interests','Хобби и интересы'),
('247','239','2','Workshops and Classes','Классы, курсы, семинары'),
('248','239','2','Arts and Crafts','Искусство и ремесла'),
('264','239','2','Content Production','Производство контента'),
('269','239','2','Games and Puzzles','Игры и головоломки'),
('273','239','2','Genealogy and Ancestry','Генеалогия и родословная'),
('274','0','1','Home & Garden','Дом и сад'),
('275','274','2','Gardening','Садоводство'),
('276','274','2','Remodeling & Construction','Строительство и ремонт'),
('278','274','2','Home Appliances','Бытовая техника'),
('281','274','2','Home Security','Безопасность'),
('283','274','2','Interior Decorating','Декорирование интерьера'),
('284','274','2','Landscaping','Ландшафтный дизайн'),
('286','0','1','Medical Health','Медицина и здоровье'),
('287','286','2','Diseases and Conditions','Заболевания и состояние здоровья'),
('307','287','3','Sexual Health','Сексуальное здоровье'),
('316','287','3','Dental Health','Стоматология'),
('320','286','2','Pharmaceutical Drugs','Лекарственные препараты'),
('324','0','1','Movies','Кинофильмы'),
('338','0','1','Music and Audio','Музыка и аудио'),
('379','0','1','News and Politics','Новости и политика'),
('386','379','2','Politics','Политика'),
('390','379','2','Weather','Погода'),
('391','0','1','Personal Finance','Личные финансы'),
('398','391','2','Insurance','Страхование'),
('405','391','2','Personal Debt','Кредитование'),
('410','391','2','Personal Investing','Инвестиции'),
('415','391','2','Personal Taxes','Налогообложение'),
('417','391','2','Home Utilities','Коммунальные услуги'),
('422','0','1','Pets','Домашние животные'),
('432','0','1','Pop Culture','Поп-культура и знаменитости'),
('440','432','2','Humor and Satire','Юмор и сатира'),
('441','0','1','Real Estate','Недвижимость'),
('453','0','1','Religion & Spirituality','Религия и духовность'),
('464','0','1','Science','Наука'),
('473','0','1','Shopping','Покупки в розничных магазинах'),
('479','473','2','Household Supplies','Товары для дома'),
('480','473','2','Lotteries and Scratchcards','Лотереи'),
('482','473','2','Children\'s Games and Toys','Детские игры и игрушки'),
('483','0','1','Sports','Спорт'),
('552','0','1','Style & Fashion','Мода и стиль'),
('553','552','2','Beauty','Красота'),
('560','552','2','Women\'s Fashion','Женская одежда, обувь и аксессуары'),
('579','552','2','Men\'s Fashion','Мужская одежда, обувь и аксессуары'),
('590','552','2','Personal Care','Личная гигиена'),
('596','0','1','Technology & Computing','Компьютеры и бытовая электроника'),
('599','596','2','Computing','Компьютерные технологии'),
('602','599','3','Computer Software and Applications','Программное обеспечение и приложения'),
('616','599','3','Data Storage and Warehousing','Хранение информации'),
('617','599','3','Desktops','Настольные компьютеры'),
('619','599','3','Internet','Интернет-сервисы'),
('630','599','3','Laptops','Ноутбуки'),
('632','596','2','Consumer Electronics','Бытовая электроника'),
('635','632','3','Smartphones','Смартфоны'),
('640','0','1','Television','Телевидение'),
('653','0','1','Travel','Путешествия'),
('680','0','1','Video Gaming','Видеоигры');
