#!/usr/bin/perl -I./lib

use warnings;
use strict;
use Application;
use qbit;

my $app = Application->new();
$app->pre_run;

my $scripts = `find migrations/before_release/|grep -v '^[0-9]+\$'|grep -v 'released*\$'|grep -v 'PI-21968_test'`;
my @scripts = map {$_ =~ s/.*\/(.*)/$1/; $_} split /\n/, $scripts;
$app->partner_db->migrations->add_multi(
    [map {{name => $_, order_type => 'before', source_type => 'perl', db_type => 'mysql'}} @scripts],
    ignore => TRUE);

$scripts = `find migrations/after_release/|grep -v '^[0-9]+\$'|grep -v 'released*\$'|grep -v 'PI-21968_test'`;
@scripts = map {$_ =~ s/.*\/(.*)/$1/; $_} split /\n/, $scripts;
$app->partner_db->migrations->add_multi(
    [map {{name => $_, order_type => 'after', source_type => 'perl', db_type => 'mysql'}} @scripts],
    ignore => TRUE);
