ALTER TABLE `simple_notification`
    ADD COLUMN `short_name` VARCHAR(255) NOT NULL,
    ADD COLUMN `title_en` VARCHAR(1024) NOT NULL DEFAULT '',
    ADD COLUMN `title_ru` VARCHAR(1024) NOT NULL DEFAULT '',
    ADD COLUMN `button_text_en` VARCHAR(1024) NOT NULL DEFAULT '',
    ADD COLUMN `button_text_ru` VARCHAR(1024) NOT NULL DEFAULT '',
    ALGORITHM=INPLACE, LOCK=NONE;

INSERT IGNORE INTO `simple_notification` (message_en, message_ru, multistate, ntype, short_name, title_en, title_ru, button_text_en, button_text_ru, link) VALUES
('Please fill YAN application form with the payment details, wait for the offer acceptance and reaching the payment threashold to get your first payment',
 'Чтобы иметь возможность получать выплаты, заполните анкету с платёжными реквизитыми, дождитесь акцепта аферты и достижения порога выплат.',
 0,
 'action_banner',
 'fill_requisites',
 'Fill the payment details',
 'Заполните реквизиты для выплат',
 'Fill data',
 'Заполнить анкету',
 'https://partner2.yandex.ru/form/'),
('Self emploeyed partners of YAN are saving more income due to decrease of tax rate from 13 per cent to 6 per cent',
'Самозанятые партнёры РСЯ сохраняют больше дохода от монетизации за счет снижения налоговой ставки с 13% до 6%.',
0,
'action_banner',
'become_self_employed',
'Switch to self-employed form',
'Станьте самозанятым партнёром',
'More details',
'Подробнее',
'/v2/dashboard/?openSelfEmployedForm=true'),
('You have an option of switching your payments requisites to Payoneer',
'Вам доступна опция перехода на выплаты через Payoneer.',
0,
'action_banner',
'goto_payoneer',
'Switch to Payoneer for payments',
'Подключите Payoneer для выплат',
'More details',
'Подробнее',
'/v2/dashboard/?openPayoneerForm=true');

SET @id_1 = (select id from `simple_notification` where short_name = 'fill_requisites');
SET @id_2 = (select id from `simple_notification` where short_name = 'become_self_employed');
SET @id_3 = (select id from `simple_notification` where short_name = 'goto_payoneer');

INSERT IGNORE INTO `simple_notification_roles` (notification_id, role_id) VALUES
 (@id_1, 9),
 (@id_1, 20),
 (@id_1, 27),
 (@id_1, 36),
 (@id_1, 37),
 (@id_1, 39),
 (@id_1, 40),
 (@id_1, 41),
 (@id_1, 42),
 (@id_2, 9),
 (@id_2, 20),
 (@id_2, 27),
 (@id_2, 36),
 (@id_2, 37),
 (@id_2, 39),
 (@id_2, 40),
 (@id_2, 41),
 (@id_2, 42),
 (@id_3, 9),
 (@id_3, 20),
 (@id_3, 27),
 (@id_3, 36),
 (@id_3, 37),
 (@id_3, 39),
 (@id_3, 40),
 (@id_3, 41),
 (@id_3, 42);
