ALTER TABLE `context_on_site_direct`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    CHANGE COLUMN `hover_color` `hover_color` VARCHAR(6),
    CHANGE COLUMN `links_underline` `links_underline` BOOLEAN DEFAULT '1',
    CHANGE COLUMN `text_color` `text_color` VARCHAR(6),
    CHANGE COLUMN `title_color` `title_color` VARCHAR(6),
    CHANGE COLUMN `url_color` `url_color` VARCHAR(6),
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `context_on_site_mirrors`;

ALTER TABLE `internal_context_on_site_direct`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    CHANGE COLUMN `hover_color` `hover_color` VARCHAR(6),
    CHANGE COLUMN `links_underline` `links_underline` BOOLEAN DEFAULT '1',
    CHANGE COLUMN `text_color` `text_color` VARCHAR(6),
    CHANGE COLUMN `title_color` `title_color` VARCHAR(6),
    CHANGE COLUMN `url_color` `url_color` VARCHAR(6),
    CHANGE COLUMN `images_first` `images_first` BOOLEAN DEFAULT '0',
    CHANGE COLUMN `no_sitelinks` `no_sitelinks` BOOLEAN DEFAULT '0',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`internal_context_on_site_direct`;

ALTER TABLE `internal_search_on_site_direct`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    CHANGE COLUMN `hover_color` `hover_color` VARCHAR(6),
    CHANGE COLUMN `links_underline` `links_underline` BOOLEAN DEFAULT '1',
    CHANGE COLUMN `text_color` `text_color` VARCHAR(6),
    CHANGE COLUMN `title_color` `title_color` VARCHAR(6),
    CHANGE COLUMN `url_color` `url_color` VARCHAR(6),
    CHANGE COLUMN `border_radius` `border_radius` BOOLEAN DEFAULT '0',
    ADD COLUMN `adaptive_height` VARCHAR(4) NOT NULL DEFAULT '',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`internal_search_on_site_direct`;

ALTER TABLE `internal_search_on_site_premium`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    CHANGE COLUMN `hover_color` `hover_color` VARCHAR(6),
    CHANGE COLUMN `links_underline` `links_underline` BOOLEAN DEFAULT '1',
    CHANGE COLUMN `text_color` `text_color` VARCHAR(6),
    CHANGE COLUMN `title_color` `title_color` VARCHAR(6),
    CHANGE COLUMN `url_color` `url_color` VARCHAR(6),
    CHANGE COLUMN `border_radius` `border_radius` BOOLEAN DEFAULT '0',
    ADD COLUMN `adaptive_height` VARCHAR(4) NOT NULL DEFAULT '',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`internal_search_on_site_premium`;

ALTER TABLE `mobile_app_rtb`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`mobile_app_rtb`;

ALTER TABLE `internal_mobile_app_rtb`
    CHANGE COLUMN `favicon` `favicon` BOOLEAN DEFAULT '0',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`internal_mobile_app_rtb`;

ALTER TABLE `internal_context_on_site_rtb`
    CHANGE COLUMN `horizontal_align` `horizontal_align` BOOLEAN DEFAULT '0',
    ALGORITHM=INPLACE, LOCK=NONE;

ANALYZE TABLE `partner`.`internal_context_on_site_rtb`;


UPDATE
    `context_on_site_direct`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `type` = 'horizontal';


UPDATE
    `internal_context_on_site_direct`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `type` = 'horizontal';


UPDATE
    `context_on_site_rtb`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `direct_block` = 'horizontal';


UPDATE
    `internal_context_on_site_rtb`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `callouts` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `horizontal_align` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `direct_block` = 'horizontal';


UPDATE
    `mobile_app_rtb`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `callouts` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `horizontal_align` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `direct_block` = 'horizontal';


UPDATE
    `internal_mobile_app_rtb`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `callouts` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `horizontal_align` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `direct_block` = 'horizontal';


UPDATE
    `internal_search_on_site_direct`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
    `type` = 'horizontal';


UPDATE
    `internal_search_on_site_premium`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_color` = NULL
WHERE
    `type` = 'horizontal';
