/* EXTERNAL */

/* CONTEXT RTB */

UPDATE
    `context_on_site_rtb`
SET
    `adaptive_type` = NULL,
    `bg_color` = NULL,
    `border_color` = NULL,
    `callouts` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `horizontal_align` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL,
    `limit` = IF(`site_version` = 'turbo', NULL, `limit`)
WHERE
  `direct_block` = 'horizontal'
AND `is_custom_format_direct` = 0;


UPDATE
    `context_on_site_rtb`
SET
    `adaptive_height` = ''
WHERE
  `direct_block` = 'horizontal'
AND
  `adaptive_height` = '0';


UPDATE
    `context_on_site_rtb`
SET
    `adaptive_width` = ''
WHERE
  `direct_block` = 'horizontal'
AND
  `adaptive_width` = '0';


UPDATE
    `context_on_site_rtb`
SET
    `favicon` = 1,
    `font_family` = '',
    `font_size` = 1,
    `hover_color` = 'DD0000',
    `links_underline` = 1,
    `text_color` = '000000',
    `title_color` = '0000CC',
    `title_font_size` = 3,
    `url_color` = '006600',
    `border_color` = 'DDDCDA',
    `sitelinks_color` = '0000CC'
WHERE
  `campaign_id` = 148790
AND
    `id` = 10
AND
    `is_custom_format_direct` = 1;


/* INTERNAL */

/* RTB */

UPDATE
    `internal_context_on_site_rtb`
SET
    `adaptive_type` = NULL,
    `bg_color` = NULL,
    `border_color` = NULL,
    `callouts` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `horizontal_align` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
  `direct_block` = 'horizontal'
AND `is_custom_format_direct` = 0;


UPDATE
    `internal_context_on_site_rtb`
SET
    `favicon` = 1,
    `font_family` = '',
    `font_size` = 1,
    `horizontal_align` = 1,
    `hover_color` = 'DD0000',
    `links_underline` = 1,
    `text_color` = '000000',
    `title_color` = '0000CC',
    `title_font_size` = 3,
    `url_color` = '006600'
WHERE
  `campaign_id` = 146642
AND
    `id` = 12
AND
    `is_custom_format_direct` = 1;


/* CONTEXT DIRECT */

/* grid */

UPDATE
    `internal_context_on_site_direct`
SET
    `limit` = NULL,
    `url_background_color` = NULL
WHERE
  `type` = 'grid';


/* fixed sizes */

UPDATE
    `internal_context_on_site_direct`
SET
  `limit` = NULL,
  `font_size` = NULL,
  `title_font_size` = NULL,
  `font_family` = NULL,
  `url_background_color` = NULL
WHERE
  `type` IN ('160x600', '240x400', '200x300', '300x300', '300x250', '250x250', '728x90', '1000x120');


/* posters */

UPDATE
  `internal_context_on_site_direct`
SET
  `font_size` = NULL,
  `border_type` = NULL,
  `border_radius` = NULL,
  `images_first` = NULL,
  `url_background_color` = NULL
WHERE
  `type` IN ('posterVertical', 'posterHorizontal');

/* compact */

UPDATE
  `internal_context_on_site_direct`
SET
  `no_sitelinks` = NULL,
  `sitelinks_color` = NULL,
  `url_background_color` = NULL,
  `limit` = NULL
WHERE
  `type` = 'compact';


/* row */

UPDATE
  `internal_context_on_site_direct`
SET
  `limit` = NULL,
  `url_background_color` = NULL
WHERE
  `type` = 'row';


UPDATE
  `internal_context_on_site_direct`
SET
  `border_type` = 'none'
WHERE
  `type` = 'row'
AND
  `border_type` IS NULL;


/* adaptive */

UPDATE
  `internal_context_on_site_direct`
SET
  `font_size` = NULL,
  `title_font_size` = NULL,
  `font_family` = NULL,
  `url_background_color` = NULL
WHERE
  `type` = 'adaptive';


/* FIX */

UPDATE
  `internal_context_on_site_direct`
SET
  `bg_color` = 'FFFFFF'
WHERE
  `type` <> 'horizontal'
AND
  (`bg_color` is NULL OR `bg_color` = '');

UPDATE
    `internal_context_on_site_direct`
SET
    `title_font_size` = 1
WHERE
  `title_font_size` = '0';

UPDATE
    `internal_context_on_site_direct`
SET
    `sitelinks_color` = NULL
WHERE
  `no_sitelinks` = 1;


UPDATE
    `internal_context_on_site_direct`
SET
    `sitelinks_color` = '0000CC'
WHERE
  `type` NOT IN ('horizontal', 'compact')
AND
  `no_sitelinks` = 0;


UPDATE
    `internal_context_on_site_direct`
SET
    `border_type` = '0000CC'
WHERE
  `type` = 'compact'
AND
  `no_sitelinks` = 0;


UPDATE
    `internal_context_on_site_direct`
SET
    `border_type` = 'none',
    `border_color` = NULL,
    `border_radius` = NULL
WHERE
  `border_type` = '';


UPDATE
    `internal_context_on_site_direct`
SET
    `border_color` = NULL,
    `border_radius` = NULL
WHERE
  `border_type` = 'none';

/* SEARCH DIRECT */

/* horizontal */

UPDATE
    `internal_search_on_site_direct`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_background_color` = NULL,
    `url_color` = NULL
WHERE
  `type` = 'horizontal';


/* vertical */


UPDATE
    `internal_search_on_site_direct`
SET
    `adaptive_height` = NULL
WHERE
  `type` = 'vertical';


/* FIX */

UPDATE
    `internal_search_on_site_direct`
SET
    `title_font_size` = 1
WHERE
  `title_font_size` = 0;


UPDATE
    `internal_search_on_site_direct`
SET
    `sitelinks_color` = '0000CC'
WHERE
  `type` NOT IN ('horizontal')
AND
  `no_sitelinks` = 0;


UPDATE
    `internal_search_on_site_direct`
SET
    `border_color` = NULL,
    `border_radius` = NULL
WHERE
  `border_type` = 'none';


/* SEARCH PREMIUM */

/* horizontal */

UPDATE
    `internal_search_on_site_premium`
SET
    `bg_color` = NULL,
    `border_color` = NULL,
    `favicon` = NULL,
    `font_family` = NULL,
    `font_size` = NULL,
    `hover_color` = NULL,
    `links_underline` = NULL,
    `sitelinks_color` = NULL,
    `text_color` = NULL,
    `title_color` = NULL,
    `title_font_size` = NULL,
    `url_color` = NULL
WHERE
  `type` = 'horizontal';


/* vertical */


UPDATE
    `internal_search_on_site_premium`
SET
    `adaptive_height` = NULL
WHERE
  `type` = 'vertical';


/* FIX */


UPDATE
    `internal_search_on_site_premium`
SET
    `sitelinks_color` = '0000CC'
WHERE
  `type` NOT IN ('horizontal')
AND
  `no_sitelinks` = 0;


UPDATE
    `internal_search_on_site_premium`
SET
    `border_color` = NULL,
    `border_radius` = NULL
WHERE
  `border_type` = 'none';
