CREATE TABLE IF NOT EXISTS `partner`.`statistics` ON CLUSTER partner_production_cluster (
    `dt` Date,
    `product_id` Enum8('context_on_site_adblock' = 1, 'context_on_site_direct' = 2, 'context_on_site_market' = 3, 'context_on_site_market_api' = 4, 'context_on_site_mcb' = 5, 'context_on_site_rtb' = 6, 'context_on_site_stripe' = 7, 'dsp' = 8, 'internal_context_on_site_direct' = 9, 'internal_context_on_site_rtb' = 10, 'internal_context_on_site_stripe' = 11, 'internal_mobile_app_rtb' = 12, 'internal_search_on_site_direct' = 13, 'internal_search_on_site_premium' = 14, 'mobile_app_rtb' = 15, 'search_on_site_direct' = 16, 'search_on_site_market' = 17, 'search_on_site_market_api' = 18, 'search_on_site_mcb' = 19, 'search_on_site_premium' = 20, 'ssp_context_on_site_rtb' = 21, 'ssp_mobile_app_rtb' = 22, 'ssp_video_an_site_rtb' = 23, 'video_an_site_fullscreen' = 24, 'video_an_site_inpage' = 25, 'video_an_site_instream' = 26, 'context_on_site_adfox' = 27, 'context_on_site_campaign' = 28, 'search_on_site_campaign' = 29, 'internal_context_on_site_campaign' = 30, 'internal_search_on_site_campaign' = 31, 'mobile_app_settings' = 32, 'video_an_site' = 33, 'ssp_context_on_site_campaign' = 34, 'ssp_mobile_app_settings' = 35, 'ssp_video_an_site' = 36, 'context_on_site_grid' = 37),
    `page_id` UInt32,
    `block_id` UInt32,
    `dsp_id` UInt32,
    `currency_id` UInt8,
    `tag_id` UInt32,
    `category_id` UInt32,
    `shows` Int64,
    `clicks` Int64,
    `hits` Int64,
    `direct_clicks` Int64,
    `direct_shows` Int64,
    `all_w_nds` Int64,
    `all_wo_nds` Int64,
    `partner_w_nds` Int64,
    `partner_wo_nds` Int64,
    `bad_shows` Int64,
    `bad_hits` Int64,
    `bad_win_price_w_nds` Int64,
    `bad_win_price_wo_nds` Int64,
    `bad_win_partner_price_w_nds` Int64,
    `bad_win_partner_price_wo_nds` Int64,
    `win_max_positions_count` Int64,
    `an_fraud_shows` Int64,
    `an_fraud_clicks` Int64,
    `an_fraud_hits` Int64,
    `an_cover_hits` Int64,
    `an_cover_direct_hits` Int64,
    `an_cover_market_hits` Int64,
    `an_cover_mcb_hits` Int64,
    `an_cover_senthits` Int64,
    `an_rtb_cover_hits` Int64,
    `an_rtb_cover_senthits` Int64,
    `an_rtb_cover_direct_hits` Int64,
    `direct_page_ad_shows` Int64,
    `premium_page_ad_shows` Int64,
    `direct_hits` Int64,
    `market_hits` Int64,
    `mcb_hits` Int64,
    `premium_hits` Int64,
    `view` Int64,
    `open_player` Int64
) ENGINE = ReplicatedSummingMergeTree('/statistics', '{replica}', `dt`, (`dt`, `product_id`, `page_id`, `block_id`, `dsp_id`, `currency_id`, `tag_id`, `category_id`), 8192);

CREATE TABLE IF NOT EXISTS `partner`.`statistics_additional_income` ON CLUSTER partner_production_cluster (
    `dt` Date,
    `user_id` UInt32,
    `currency_id` UInt8,
    `partner_wo_nds` Int64
) ENGINE = ReplicatedSummingMergeTree('/statistics_additional_income', '{replica}', `dt`, (`dt`, `user_id`, `currency_id`), 8192);
