use Test::Whitespaces {
    dirs => [
        qw(
          bin
          configs
          dictionaries
          etc
          hooks
          lib
          mail_templates
          migrations
          mocked_databases/partner_db
          mocked_databases_restapi/partner_db
          mysql_diff
          t
          t_external
          t_lib
          api/bin
          api/data
          api/lib
          api/t
          api/t_data
          )
    ],
    ignore => [
        qr{Application/Model/DB/Query\.pm},                    qr{Application/Model/DB/mysql/Field\.pm},
        qr{Application/Model/DB/mysql/Table\.pm},              qr{Application/Model/DBManager/Filter/dictionary\.pm},
        qr{Application/Model/DBManager/Filter/multistate\.pm}, qr{WebInterface\.pm},
        qr{t/files/perl.pot},                                  qr{t/files/tt2\.pot},
        qr{t/test_data/statistics},                            qr{t/application-model-ssp-moderation.t},
        qr{Net/INET6Glue},                                     qr{t/application-model-ssp-moderation-web.t},
        qr{QBit/Application/Model/DB/Query\.pm},               qr{t/.*\.(log|err|dump|tsv|csv)$},
        qr{migrations/(after|before)_release/released},        qr{partner2-docker.yandex.ru.pem},
        qr{\.(tsv|csv|yaml)$},                                 qr{debian/changelog$},
        qr{migrations/archived},                               qr{\.png$},
        qr{\.jpe?g$},                                          qr{.*vscode},
        qr{.*out},                                             qr{.*err}
    ],
};
