SELECT
    `design_templates`.`block_id` AS `block_id`,
    `design_templates`.`caption` AS `caption`,
    `design_templates`.`id` AS `id`,
    `design_templates`.`multistate` AS `multistate`,
    `design_templates`.`opts` AS `opts`,
    `design_templates`.`page_id` AS `page_id`,
    `design_templates`.`id` AS `public_id`,
    `design_templates`.`type` AS `type`,
    `design_templates`.`update_time` AS `update_time`
FROM `design_templates`
WHERE (
    `design_templates`.`page_id` = ANY (
        SELECT
            `context_on_site_campaign`.`page_id` AS `page_id`
        FROM `context_on_site_campaign`
        WHERE (
            `context_on_site_campaign`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `distribution_campaign`.`page_id` AS `page_id`
        FROM `distribution_campaign`
        WHERE (
            `distribution_campaign`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `indoor`.`page_id` AS `page_id`
        FROM `indoor`
        WHERE (
            `indoor`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `internal_context_on_site_campaign`.`id` AS `id`
        FROM `internal_context_on_site_campaign`
        WHERE (
            `internal_context_on_site_campaign`.`id` = ANY (
                SELECT
                    `managers`.`page_id` AS `page_id`
                FROM `managers`
                WHERE (
                    `managers`.`manager_id` = '1012'
                )
            )
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `internal_mobile_app`.`id` AS `id`
        FROM `internal_mobile_app`
        WHERE (
            `internal_mobile_app`.`id` = ANY (
                SELECT
                    `managers`.`page_id` AS `page_id`
                FROM `managers`
                WHERE (
                    `managers`.`manager_id` = '1012'
                )
            )
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `internal_search_on_site_campaign`.`id` AS `id`
        FROM `internal_search_on_site_campaign`
        WHERE (
            `internal_search_on_site_campaign`.`id` = ANY (
                SELECT
                    `managers`.`page_id` AS `page_id`
                FROM `managers`
                WHERE (
                    `managers`.`manager_id` = '1012'
                )
            )
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `mobile_app_settings`.`context_page_id` AS `context_page_id`
        FROM `mobile_app_settings`
        WHERE (
            `mobile_app_settings`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `outdoor`.`page_id` AS `page_id`
        FROM `outdoor`
        WHERE (
            `outdoor`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `search_on_site_campaign`.`page_id` AS `page_id`
        FROM `search_on_site_campaign`
        WHERE (
            `search_on_site_campaign`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `ssp_context_on_site_campaign`.`page_id` AS `page_id`
        FROM `ssp_context_on_site_campaign`
        WHERE (
            `ssp_context_on_site_campaign`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `ssp_mobile_app_settings`.`page_id` AS `page_id`
        FROM `ssp_mobile_app_settings`
        WHERE (
            `ssp_mobile_app_settings`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `ssp_video_an_site`.`page_id` AS `page_id`
        FROM `ssp_video_an_site`
        WHERE (
            `ssp_video_an_site`.`owner_id` = '1012'
        )
    )
    OR `design_templates`.`page_id` = ANY (
        SELECT
            `video_an_site`.`id` AS `id`
        FROM `video_an_site`
        WHERE (
            `video_an_site`.`owner_id` = '1012'
        )
    )
)
