SELECT
    `_campaign_id` AS `campaign_id`,
    `_context_campaign_caption` AS `context_campaign_caption`,
    `_currency_id` AS `currency_id`,
    `_date` AS `date`,
    `_domain` AS `domain`,
    `_domain_id` AS `domain_id`,
    `_internal_campaign_id` AS `internal_campaign_id`,
    `_login` AS `login`,
    `_market_context_all_wo_nds` AS `market_context_all_wo_nds`,
    `_market_context_clicks` AS `market_context_clicks`,
    `_market_context_cpc_market_context_all_wo_nds` AS `market_context_cpc_market_context_all_wo_nds`,
    `_market_context_cpc_market_context_partner_wo_nds` AS `market_context_cpc_market_context_partner_wo_nds`,
    `_market_context_cpm_market_context_all_wo_nds` AS `market_context_cpm_market_context_all_wo_nds`,
    `_market_context_cpm_market_context_partner_wo_nds` AS `market_context_cpm_market_context_partner_wo_nds`,
    `_market_context_ctr` AS `market_context_ctr`,
    `_market_context_partner_wo_nds` AS `market_context_partner_wo_nds`,
    `_market_context_shows` AS `market_context_shows`,
    `_public_id` AS `public_id`
FROM (
    SELECT
        `page_id` AS `_campaign_id`,
        dictGetString('pages_dict', 'caption', toUInt64(`page_id`)) AS `_context_campaign_caption`,
        `currency_id` AS `_currency_id`,
        `dt` AS `_date`,
        dictGetString('sources_dict', 'domain', dictGetUInt64('pages_dict', 'source_id', toUInt64(`page_id`))) AS `_domain`,
        dictGetUInt32('pages_dict', 'domain_id', toUInt64(`page_id`)) AS `_domain_id`,
        dictGetUInt32('pages_dict', 'id', toUInt64(`page_id`)) AS `_internal_campaign_id`,
        dictGetString('users_dict', 'login', dictGetUInt64('pages_dict', 'owner_id', toUInt64(`page_id`))) AS `_login`,
        round((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_all_wo_nds`,
        sumIf(`clicks`, `product_id` = 'context_on_site_market') AS `_market_context_clicks`,
        round(((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_all_wo_nds`,
        round(((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_partner_wo_nds`,
        round((((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_all_wo_nds`,
        round((((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_partner_wo_nds`,
        ((sumIf(`clicks`, `product_id` = 'context_on_site_market') * 100) / sumIf(`shows`, `product_id` = 'context_on_site_market')) AS `_market_context_ctr`,
        round((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_partner_wo_nds`,
        sumIf(`shows`, `product_id` = 'context_on_site_market') AS `_market_context_shows`,
        concat(transform(toString(`product_id`), ['context_on_site_market'], ['M-A-']), toString(`page_id`), '-', toString(`block_id`)) AS `_public_id`
    FROM `statistics`
    WHERE (
        `dt` >= '2017-08-16'
        AND `dt` <= '2017-12-31'
        AND `product_id` IN ('context_on_site_market')
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"AND\\",[[\\"login\\",\\"=\\",\\"mock__campaign-owner-login\\"]]]"]]]]')
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"OR\\",[[\\"is_efir_blogger\\",\\"=\\",1],[\\"is_video_blogger\\",\\"=\\",1],[\\"is_tutby\\",\\"=\\",1],[\\"is_adfox_partner\\",\\"=\\",1],[\\"is_mobile_mediation\\",\\"=\\",1],[\\"is_games\\",\\"=\\",1]]]"]]]]')
        )
        AND (
            `block_id` = 1
        )
        AND (
            `page_id` = 'mock__campaign_id'
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["OR",[["AND",[["domain_id","= ANY",["id__from_table__site__with_filter__[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]]"]]]],["AND",[["id","= ANY",["campaign_id__from_table__context_on_site_mirrors__with_filter__[\\"AND\\",[[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]],[\\"AND\\",[[\\"multistate\\",\\"=\\",[\\"mock_multistate\\"]]]]]]"]]]]]]')
        )
        AND (
            dictGetUInt64('blocks_dict', 'multistate', tuple(toString(`product_id`), toUInt32(`page_id`), toUInt32(`block_id`))) IN ('mock_multistate')
        )
        AND `currency_id` IN 'id__from_table__currencies__with_filter__["AND",[["id","IS NOT",null]]]'
        AND `page_id` = 'mock__context_campaign_caption'
    )
    GROUP BY `_campaign_id`, `_context_campaign_caption`, `_currency_id`, `_date`, `_domain`, `_domain_id`, `_internal_campaign_id`, `_login`, `_public_id`
) `statistics`
WHERE (
    (if(isNaN(`market_context_cpm_market_context_all_wo_nds`), 0, `market_context_cpm_market_context_all_wo_nds`) + if(isNaN(`market_context_ctr`), 0, `market_context_ctr`) + if(isNaN(`market_context_partner_wo_nds`), 0, `market_context_partner_wo_nds`) + if(isNaN(`market_context_shows`), 0, `market_context_shows`) + if(isNaN(`market_context_all_wo_nds`), 0, `market_context_all_wo_nds`) + if(isNaN(`market_context_cpc_market_context_partner_wo_nds`), 0, `market_context_cpc_market_context_partner_wo_nds`) + if(isNaN(`market_context_clicks`), 0, `market_context_clicks`) + if(isNaN(`market_context_cpm_market_context_partner_wo_nds`), 0, `market_context_cpm_market_context_partner_wo_nds`) + if(isNaN(`market_context_cpc_market_context_all_wo_nds`), 0, `market_context_cpc_market_context_all_wo_nds`)) > 0
) FORMAT JSONCompact

SELECT
    `_campaign_id` AS `campaign_id`,
    `_context_campaign_caption` AS `context_campaign_caption`,
    `_currency_id` AS `currency_id`,
    `_date` AS `date`,
    `_domain` AS `domain`,
    `_domain_id` AS `domain_id`,
    `_internal_campaign_id` AS `internal_campaign_id`,
    `_login` AS `login`,
    `_market_context_all_wo_nds` AS `market_context_all_wo_nds`,
    `_market_context_clicks` AS `market_context_clicks`,
    `_market_context_cpc_market_context_all_wo_nds` AS `market_context_cpc_market_context_all_wo_nds`,
    `_market_context_cpc_market_context_partner_wo_nds` AS `market_context_cpc_market_context_partner_wo_nds`,
    `_market_context_cpm_market_context_all_wo_nds` AS `market_context_cpm_market_context_all_wo_nds`,
    `_market_context_cpm_market_context_partner_wo_nds` AS `market_context_cpm_market_context_partner_wo_nds`,
    `_market_context_ctr` AS `market_context_ctr`,
    `_market_context_partner_wo_nds` AS `market_context_partner_wo_nds`,
    `_market_context_shows` AS `market_context_shows`,
    `_tag_caption` AS `tag_caption`
FROM (
    SELECT
        `page_id` AS `_campaign_id`,
        dictGetString('pages_dict', 'caption', toUInt64(`page_id`)) AS `_context_campaign_caption`,
        `currency_id` AS `_currency_id`,
        `dt` AS `_date`,
        dictGetString('sources_dict', 'domain', dictGetUInt64('pages_dict', 'source_id', toUInt64(`page_id`))) AS `_domain`,
        dictGetUInt32('pages_dict', 'domain_id', toUInt64(`page_id`)) AS `_domain_id`,
        dictGetUInt32('pages_dict', 'id', toUInt64(`page_id`)) AS `_internal_campaign_id`,
        dictGetString('users_dict', 'login', dictGetUInt64('pages_dict', 'owner_id', toUInt64(`page_id`))) AS `_login`,
        round((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_all_wo_nds`,
        sumIf(`clicks`, `product_id` = 'context_on_site_market') AS `_market_context_clicks`,
        round(((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_all_wo_nds`,
        round(((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_partner_wo_nds`,
        round((((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_all_wo_nds`,
        round((((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_partner_wo_nds`,
        ((sumIf(`clicks`, `product_id` = 'context_on_site_market') * 100) / sumIf(`shows`, `product_id` = 'context_on_site_market')) AS `_market_context_ctr`,
        round((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_partner_wo_nds`,
        sumIf(`shows`, `product_id` = 'context_on_site_market') AS `_market_context_shows`,
        dictGetStringOrDefault('block_tags_dict', 'caption', tuple(toUInt32(`page_id`), toUInt64(`tag_id`)), concat('Slice #', toString(`tag_id`))) AS `_tag_caption`
    FROM `statistics`
    WHERE (
        `dt` >= '2017-08-16'
        AND `dt` <= '2017-12-31'
        AND `product_id` IN ('context_on_site_market')
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"AND\\",[[\\"login\\",\\"=\\",\\"mock__campaign-owner-login\\"]]]"]]]]')
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"OR\\",[[\\"is_efir_blogger\\",\\"=\\",1],[\\"is_video_blogger\\",\\"=\\",1],[\\"is_tutby\\",\\"=\\",1],[\\"is_adfox_partner\\",\\"=\\",1],[\\"is_mobile_mediation\\",\\"=\\",1],[\\"is_games\\",\\"=\\",1]]]"]]]]')
        )
        AND (
            `block_id` = 1
        )
        AND (
            `page_id` = 'mock__campaign_id'
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["OR",[["AND",[["domain_id","= ANY",["id__from_table__site__with_filter__[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]]"]]]],["AND",[["id","= ANY",["campaign_id__from_table__context_on_site_mirrors__with_filter__[\\"AND\\",[[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]],[\\"AND\\",[[\\"multistate\\",\\"=\\",[\\"mock_multistate\\"]]]]]]"]]]]]]')
        )
        AND (
            dictGetUInt64('blocks_dict', 'multistate', tuple(toString(`product_id`), toUInt32(`page_id`), toUInt32(`block_id`))) IN ('mock_multistate')
        )
        AND `currency_id` IN 'id__from_table__currencies__with_filter__["AND",[["id","IS NOT",null]]]'
        AND `page_id` = 'mock__context_campaign_caption'
    )
    GROUP BY `_campaign_id`, `_context_campaign_caption`, `_currency_id`, `_date`, `_domain`, `_domain_id`, `_internal_campaign_id`, `_login`, `_tag_caption`
) `statistics`
WHERE (
    (if(isNaN(`market_context_cpm_market_context_all_wo_nds`), 0, `market_context_cpm_market_context_all_wo_nds`) + if(isNaN(`market_context_ctr`), 0, `market_context_ctr`) + if(isNaN(`market_context_partner_wo_nds`), 0, `market_context_partner_wo_nds`) + if(isNaN(`market_context_shows`), 0, `market_context_shows`) + if(isNaN(`market_context_all_wo_nds`), 0, `market_context_all_wo_nds`) + if(isNaN(`market_context_cpc_market_context_partner_wo_nds`), 0, `market_context_cpc_market_context_partner_wo_nds`) + if(isNaN(`market_context_clicks`), 0, `market_context_clicks`) + if(isNaN(`market_context_cpm_market_context_partner_wo_nds`), 0, `market_context_cpm_market_context_partner_wo_nds`) + if(isNaN(`market_context_cpc_market_context_all_wo_nds`), 0, `market_context_cpc_market_context_all_wo_nds`)) > 0
) FORMAT JSONCompact

SELECT
    `_campaign_id` AS `campaign_id`,
    `_context_campaign_caption` AS `context_campaign_caption`,
    `_currency_id` AS `currency_id`,
    `_date` AS `date`,
    `_domain` AS `domain`,
    `_domain_id` AS `domain_id`,
    `_internal_campaign_id` AS `internal_campaign_id`,
    `_login` AS `login`,
    `_market_context_all_wo_nds` AS `market_context_all_wo_nds`,
    `_market_context_clicks` AS `market_context_clicks`,
    `_market_context_cpc_market_context_all_wo_nds` AS `market_context_cpc_market_context_all_wo_nds`,
    `_market_context_cpc_market_context_partner_wo_nds` AS `market_context_cpc_market_context_partner_wo_nds`,
    `_market_context_cpm_market_context_all_wo_nds` AS `market_context_cpm_market_context_all_wo_nds`,
    `_market_context_cpm_market_context_partner_wo_nds` AS `market_context_cpm_market_context_partner_wo_nds`,
    `_market_context_ctr` AS `market_context_ctr`,
    `_market_context_partner_wo_nds` AS `market_context_partner_wo_nds`,
    `_market_context_shows` AS `market_context_shows`,
    `_tag_id` AS `tag_id`
FROM (
    SELECT
        `page_id` AS `_campaign_id`,
        dictGetString('pages_dict', 'caption', toUInt64(`page_id`)) AS `_context_campaign_caption`,
        `currency_id` AS `_currency_id`,
        `dt` AS `_date`,
        dictGetString('sources_dict', 'domain', dictGetUInt64('pages_dict', 'source_id', toUInt64(`page_id`))) AS `_domain`,
        dictGetUInt32('pages_dict', 'domain_id', toUInt64(`page_id`)) AS `_domain_id`,
        dictGetUInt32('pages_dict', 'id', toUInt64(`page_id`)) AS `_internal_campaign_id`,
        dictGetString('users_dict', 'login', dictGetUInt64('pages_dict', 'owner_id', toUInt64(`page_id`))) AS `_login`,
        round((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_all_wo_nds`,
        sumIf(`clicks`, `product_id` = 'context_on_site_market') AS `_market_context_clicks`,
        round(((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_all_wo_nds`,
        round(((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) / sumIf(`clicks`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpc_market_context_partner_wo_nds`,
        round((((sumIf((`all_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_all_wo_nds`,
        round((((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000) * 1000) / sumIf(`shows`, `product_id` = 'context_on_site_market')), 2) AS `_market_context_cpm_market_context_partner_wo_nds`,
        ((sumIf(`clicks`, `product_id` = 'context_on_site_market') * 100) / sumIf(`shows`, `product_id` = 'context_on_site_market')) AS `_market_context_ctr`,
        round((sumIf((`partner_wo_nds` / 1000), `product_id` = 'context_on_site_market') / 10000000), 2) AS `_market_context_partner_wo_nds`,
        sumIf(`shows`, `product_id` = 'context_on_site_market') AS `_market_context_shows`,
        `tag_id` AS `_tag_id`
    FROM `statistics`
    WHERE (
        `dt` >= '2017-08-16'
        AND `dt` <= '2017-12-31'
        AND `product_id` IN ('context_on_site_market')
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"AND\\",[[\\"login\\",\\"=\\",\\"mock__campaign-owner-login\\"]]]"]]]]')
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["AND",[["owner_id","= ANY",["id__from_table__users__with_filter__[\\"OR\\",[[\\"is_efir_blogger\\",\\"=\\",1],[\\"is_video_blogger\\",\\"=\\",1],[\\"is_tutby\\",\\"=\\",1],[\\"is_adfox_partner\\",\\"=\\",1],[\\"is_mobile_mediation\\",\\"=\\",1],[\\"is_games\\",\\"=\\",1]]]"]]]]')
        )
        AND (
            `block_id` = 1
        )
        AND (
            `page_id` = 'mock__campaign_id'
        )
        AND (
            `page_id` IN ('page_id__from_table__context_on_site_campaign__with_filter__["OR",[["AND",[["domain_id","= ANY",["id__from_table__site__with_filter__[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]]"]]]],["AND",[["id","= ANY",["campaign_id__from_table__context_on_site_mirrors__with_filter__[\\"AND\\",[[\\"AND\\",[[\\"domain\\",\\"=\\",\\"mock__campaign.all_domain\\"]]],[\\"AND\\",[[\\"multistate\\",\\"=\\",[\\"mock_multistate\\"]]]]]]"]]]]]]')
        )
        AND (
            dictGetUInt64('blocks_dict', 'multistate', tuple(toString(`product_id`), toUInt32(`page_id`), toUInt32(`block_id`))) IN ('mock_multistate')
        )
        AND `currency_id` IN 'id__from_table__currencies__with_filter__["AND",[["id","IS NOT",null]]]'
        AND `tag_id` = 'mock__tag_id'
        AND `page_id` = 'mock__context_campaign_caption'
    )
    GROUP BY `_campaign_id`, `_context_campaign_caption`, `_currency_id`, `_date`, `_domain`, `_domain_id`, `_internal_campaign_id`, `_login`, `_tag_id`
) `statistics`
WHERE (
    (if(isNaN(`market_context_cpm_market_context_all_wo_nds`), 0, `market_context_cpm_market_context_all_wo_nds`) + if(isNaN(`market_context_ctr`), 0, `market_context_ctr`) + if(isNaN(`market_context_partner_wo_nds`), 0, `market_context_partner_wo_nds`) + if(isNaN(`market_context_shows`), 0, `market_context_shows`) + if(isNaN(`market_context_all_wo_nds`), 0, `market_context_all_wo_nds`) + if(isNaN(`market_context_cpc_market_context_partner_wo_nds`), 0, `market_context_cpc_market_context_partner_wo_nds`) + if(isNaN(`market_context_clicks`), 0, `market_context_clicks`) + if(isNaN(`market_context_cpm_market_context_partner_wo_nds`), 0, `market_context_cpm_market_context_partner_wo_nds`) + if(isNaN(`market_context_cpc_market_context_all_wo_nds`), 0, `market_context_cpc_market_context_all_wo_nds`)) > 0
) FORMAT JSONCompact
