use strict;
use warnings FATAL => 'all';

use qbit;

use Utils::CSV;

use Test::More;
use Test::Partner::Utils qw(get_test_data_and_update_if_needed);

my $csv = q(login;avonav;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
Заблокированные тематики (разделитель - точка с запятой);ТАБАК И КУРИТЕЛЬНЫЕ ПРИНАДЛЕЖНОСТИ;УСЛУГИ БЫТОВЫЕ И СЕРВИС;"УСЛУГИ ПАРИКМАХЕРСКИХ; И КОСМЕТИЧЕСКИХ САЛОНОВ";;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
Заблоокированные бренды (разделитель - точка с запятой);БЕЛЫЙ САД (САЛОН);ACER;GOOGLE;;;;;;;; ;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
№ п/п;Page ID в ПИ РСЯ;ID-блока;Название площадки (caption)*;GPS координаты*;Адрес организации*;Название организации из справочника*;"Категория места установки панелей (facility_type)*
игнорируется при загрузке";Facility_type_id*;Название экрана (imp caption)*;"Категория зоны рзмещения в месте установки*
игнорируется при загрузке";Zone_category_id*;Разрешение экрана ширина*;Разрешение экрана высота*;Соотношение сторон(разделитель :)*;MIN длительность ролика, сек.*;MAX длительность ролика, сек.*;Наличие звука на панели (Y/N) - по умолчанию N;Наличие сенсора  (Touch/No touch) - по умолчанию N;Мин СPMV (без НДС), руб. - по умолчанию 0;"Массив фото (список ссылок) - разделитель -; По-умолчанию - пустой";Комменатрий блока
1;;;Салон красоты, массажный салон Салон красоты Москва;55.753402, 37.625123;Москва, Хрустальный переулок, 1;Салон красоты Москва;Салоны красоты;17;Хрустальный переулок, 1;Косметика;10;1280;800;9:6;10;10;N;N;150;http://prntscr.com/q9pscj,http://prntscr.com/q9pscj;Косметика, парфюмерия
2;;;"Салон-парикмахерская ""Тион""";55.675313, 37.541180;Москва, ул. Вавилова, 97;Тион;Салоны красоты;17;371 П;Косметика;10;1280;800;9:6;10;10;N;N;110;http://prntscr.com/q9pscj;Шампуни
3;;;"Салон-парикмахерская ""Тион""";55.675313, 37.541180;Москва, ул. Вавилова, 97;Тион;Салоны красоты;17;461 П;Косметика;10;1280;800;9:6;10;10;N;N;110;http://prntscr.com/q9pscj;Шампуни
4;;;"Салон Красоты ""Элен""";55.667455, 37.571536;Москва, ул. Цюрюпы, 18к1;Элен;Салоны красоты;17;452 Н;Косметика;10;1280;800;9:6;10;10;N;N;110;http://prntscr.com/q9pscj;Услуги стилистов
);

my $got = parse_csv_indoor_blocks($csv);
my $expected = get_test_data_and_update_if_needed("parsed.json", $got);

is_deeply($got, $expected, "checking parsed");

done_testing();
