use partner;

/* PI-7549 start */

ALTER TABLE `partner`.`event_log` ADD COLUMN `class_id` TINYINT(3) unsigned NOT NULL DEFAULT 0;


REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (2,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (4,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (15,'event_log_view_system_events');

REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (25,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (26,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (31,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (32,'event_log_view_system_events');

REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (38,'event_log_view_system_events');

REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (21,'event_log_view_system_events');
REPLACE INTO `role_rights` (`role_id`, `right`) VALUES (27,'event_log_view_system_events');

/* PI-7549 end */
/* PI-7686 start */


ALTER TABLE `partner`.`context_on_site_mirrors`
    ADD UNIQUE KEY `context_on_site_mirrors__campaign_id_domain` (`campaign_id`,`domain`),
	ADD COLUMN `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT FIRST,
    DROP primary key,
    ADD primary key(`id`),
    ADD COLUMN `moderation_status` ENUM('new', 'approved', 'rejected') NOT NULL DEFAULT 'approved';

ALTER TABLE `partner`.`search_on_site_mirrors`
    ADD UNIQUE KEY `search_on_site_mirrors__campaign_id_domain` (`campaign_id`,`domain`),
    ADD COLUMN `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT FIRST,
    DROP primary key,
    ADD primary key(`id`),
    ADD COLUMN `moderation_status` ENUM('new', 'approved', 'rejected') NOT NULL DEFAULT 'approved';


CREATE TABLE IF NOT EXISTS `moderation_queue` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `create_date` DATE NOT NULL,
    `moderation_date` DATE NOT NULL,
    `page_id` INT UNSIGNED NOT NULL,
    `domain_id` INT UNSIGNED NOT NULL,
    `product` VARCHAR(255) NOT NULL DEFAULT '',
    `type` VARCHAR(255) NOT NULL DEFAULT '',
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `comment` VARCHAR(255) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`)
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE IF NOT EXISTS `moderation_rel_site_mirrors` (
    `qid` BIGINT UNSIGNED NOT NULL,
    `id` BIGINT UNSIGNED NOT NULL,
    `moderation_status` ENUM('new', 'approved', 'rejected') NOT NULL DEFAULT 'new',
    `relative_model` VARCHAR(255) NOT NULL DEFAULT '0',
    PRIMARY KEY (`qid`, `id`),
    FOREIGN KEY `fk_moderation_rel_site_mirrors__qid___moderation_queue__id` (`qid`)
        REFERENCES `moderation_queue` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_moderation_rel_site_mirrors__id___context_on_site_mirrors__id` (`id`)
        REFERENCES `context_on_site_mirrors` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE IF NOT EXISTS `moderation_queue_action_log` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `dt` DATETIME NOT NULL,
    `user_id` BIGINT UNSIGNED NOT NULL,
    `elem_id` BIGINT UNSIGNED NOT NULL,
    `old_multistate` BIGINT UNSIGNED NOT NULL,
    `action` VARCHAR(100) NOT NULL,
    `new_multistate` BIGINT UNSIGNED NOT NULL,
    `opts` TEXT NOT NULL,
    `comment` VARCHAR(100) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    INDEX `moderation_queue_action_log__dt_elem_id_action` (`dt`, `elem_id`, `action`),
    INDEX `moderation_queue_action_log__elem_id_action` (`elem_id`, `action`),
    FOREIGN KEY `fk_moderation_queue_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_moderation_queue_action_log__elem_id___moderation_queue__id` (`elem_id`)
        REFERENCES `moderation_queue` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

REPLACE INTO role_rights VALUES (2,  'add_mirrors_without_moderation'); /*  2 - Разработчик */
REPLACE INTO role_rights VALUES (15, 'add_mirrors_without_moderation'); /* 15 - РСЯ Сайты: Менеджер */
REPLACE INTO role_rights VALUES (38, 'add_mirrors_without_moderation'); /* 38 - РСЯ Сайты: Ассистент Менеджера */

REPLACE INTO role_rights VALUES (2,  'moderation_view'); /*  2 - Разработчик */
REPLACE INTO role_rights VALUES (15, 'moderation_view'); /* 15 - РСЯ Сайты: Менеджер */
REPLACE INTO role_rights VALUES (16, 'moderation_view'); /* 16 - РСЯ Сайты: Модератор */

REPLACE INTO role_rights VALUES (2,  'moderation_add'); /*  2 - Разработчик */
REPLACE INTO role_rights VALUES (15, 'moderation_add'); /* 15 - РСЯ Сайты: Менеджер */
REPLACE INTO role_rights VALUES (16,  'moderation_add'); /*  16 - РСЯ Сайты: Модератор */

/* PI-7686 end */
/* PI-7716 start */

REPLACE INTO `partner`.`thematic_filters` (`caption_en`, `caption_ru`, `caption_tr`, `bk_name`) VALUES
('matchmaking', 'знакомства', 'matchmaking', 'matchmaking'),
('finance', 'финансы', 'finance', 'finance');

/* PI-7716 end */
/* PI-7780 start */

/* Market API field */

ALTER TABLE `context_on_site_campaign` ADD `market_api` BOOLEAN NOT NULL DEFAULT '0';

ALTER TABLE `search_on_site_campaign` ADD `market_api` BOOLEAN NOT NULL DEFAULT '0';

REPLACE INTO `role_rights` (`role_id`, `right`) VALUES
( 2, 'context_on_site_campaign_edit_field__market_api'),
(15, 'context_on_site_campaign_edit_field__market_api'),
(38, 'context_on_site_campaign_edit_field__market_api'),

( 2, 'search_on_site_campaign_edit_field__market_api'),
(15, 'search_on_site_campaign_edit_field__market_api'),
(38, 'search_on_site_campaign_edit_field__market_api');

/* Market API Statistics */

CREATE TABLE `context_on_site_market_api` (
    `campaign_id` INT UNSIGNED,
    `id` INT UNSIGNED NOT NULL,
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`campaign_id`, `id`),
    FOREIGN KEY `fk_context_on_site_market_api__campaign_id___context_on_site_cam` (`campaign_id`)
        REFERENCES `context_on_site_campaign` (`page_id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE `context_on_site_market_api_action_log` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `dt` DATETIME NOT NULL,
    `user_id` BIGINT UNSIGNED NOT NULL,
    `elem_campaign_id` INT UNSIGNED NOT NULL,
    `elem_id` INT UNSIGNED NOT NULL,
    `old_multistate` BIGINT UNSIGNED NOT NULL,
    `action` VARCHAR(100) NOT NULL,
    `new_multistate` BIGINT UNSIGNED NOT NULL,
    `opts` TEXT NOT NULL,
    `comment` VARCHAR(100) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    INDEX `context_on_site_market_api_action_log__dt_elem_campaign_id_elem_` (`dt`, `elem_campaign_id`, `elem_id`, `action`),
    INDEX `context_on_site_market_api_action_log__elem_campaign_id_elem_id_` (`elem_campaign_id`, `elem_id`, `action`),
    FOREIGN KEY `fk_context_on_site_market_api_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_context_on_site_market_api_action_log__elem_campaign_id_elem_` (`elem_campaign_id`, `elem_id`)
        REFERENCES `context_on_site_market_api` (`campaign_id`, `id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE `statistics_context_on_site_market_api` (
    `dt` DATE NOT NULL,
    `campaign_id` INT UNSIGNED NOT NULL,
    `block_id` INT UNSIGNED NOT NULL,
    `currency_id` TINYINT UNSIGNED NOT NULL DEFAULT '2',
    `market_api_context_shows` INT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_context_clicks` INT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_context_all_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_context_all_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `all_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `all_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_context_partner_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_context_partner_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `partner_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `partner_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`dt`, `campaign_id`, `block_id`, `currency_id`),
    INDEX `statistics_context_on_site_market_api__campaign_id_block_id_dt` (`campaign_id`, `block_id`, `dt`),
    FOREIGN KEY `fk_statistics_context_on_site_market_api__currency_id___currenci` (`currency_id`)
        REFERENCES `currencies` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_statistics_context_on_site_market_api__campaign_id_block_id__` (`campaign_id`, `block_id`)
        REFERENCES `context_on_site_market_api` (`campaign_id`, `id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE `search_on_site_market_api` (
    `campaign_id` INT UNSIGNED,
    `id` INT UNSIGNED NOT NULL,
    `multistate` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`campaign_id`, `id`),
    FOREIGN KEY `fk_search_on_site_market_api__campaign_id___search_on_site_campa` (`campaign_id`)
        REFERENCES `search_on_site_campaign` (`page_id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE `search_on_site_market_api_action_log` (
    `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    `dt` DATETIME NOT NULL,
    `user_id` BIGINT UNSIGNED NOT NULL,
    `elem_campaign_id` INT UNSIGNED NOT NULL,
    `elem_id` INT UNSIGNED NOT NULL,
    `old_multistate` BIGINT UNSIGNED NOT NULL,
    `action` VARCHAR(100) NOT NULL,
    `new_multistate` BIGINT UNSIGNED NOT NULL,
    `opts` TEXT NOT NULL,
    `comment` VARCHAR(100) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    INDEX `search_on_site_market_api_action_log__dt_elem_campaign_id_elem_i` (`dt`, `elem_campaign_id`, `elem_id`, `action`),
    INDEX `search_on_site_market_api_action_log__elem_campaign_id_elem_id_a` (`elem_campaign_id`, `elem_id`, `action`),
    FOREIGN KEY `fk_search_on_site_market_api_action_log__user_id___users__id` (`user_id`)
        REFERENCES `users` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_search_on_site_market_api_action_log__elem_campaign_id_elem_i` (`elem_campaign_id`, `elem_id`)
        REFERENCES `search_on_site_market` (`campaign_id`, `id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';

CREATE TABLE `statistics_search_on_site_market_api` (
    `dt` DATE NOT NULL,
    `campaign_id` INT UNSIGNED NOT NULL,
    `block_id` INT UNSIGNED NOT NULL,
    `currency_id` TINYINT UNSIGNED NOT NULL DEFAULT '2',
    `market_api_search_shows` INT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_search_clicks` INT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_search_all_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_search_all_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `all_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `all_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_search_partner_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `market_api_search_partner_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `partner_w_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    `partner_wo_nds` BIGINT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (`dt`, `campaign_id`, `block_id`, `currency_id`),
    INDEX `statistics_search_on_site_market_api__campaign_id_block_id_dt` (`campaign_id`, `block_id`, `dt`),
    FOREIGN KEY `fk_statistics_search_on_site_market_api__currency_id___currencie` (`currency_id`)
        REFERENCES `currencies` (`id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT,
    FOREIGN KEY `fk_statistics_search_on_site_market_api__campaign_id_block_id___` (`campaign_id`, `block_id`)
        REFERENCES `search_on_site_market_api` (`campaign_id`, `id`)
            ON UPDATE RESTRICT
            ON DELETE RESTRICT
) ENGINE='InnoDB' DEFAULT CHARACTER SET 'UTF8';


REPLACE INTO `role_rights` (`role_id`, `right`) VALUES
( 2, 'context_on_site_market_api_view_all'),
(15, 'context_on_site_market_api_view_all'),
(17, 'context_on_site_market_api_view_all'),

( 2, 'context_on_site_market_api_view_action_log'),
(15, 'context_on_site_market_api_view_action_log'),
(17, 'context_on_site_market_api_view_action_log'),
(38, 'context_on_site_market_api_view_action_log'),

( 2, 'context_on_site_market_api_view_filter__login'),
(15, 'context_on_site_market_api_view_filter__login'),
(17, 'context_on_site_market_api_view_filter__login'),

( 2, 'can_be_statistics_reloaded_context_on_site_market_api'),
(15, 'can_be_statistics_reloaded_context_on_site_market_api'),
(38, 'can_be_statistics_reloaded_context_on_site_market_api'),

( 2, 'statistics_context_on_site_market_api_view_entity_field__login'),
(15, 'statistics_context_on_site_market_api_view_entity_field__login'),
(17, 'statistics_context_on_site_market_api_view_entity_field__login'),

( 2, 'statistics_always_view_context_on_site_market_api'),

( 2, 'statistics_context_on_site_market_api_view_all_fields'),
(15, 'statistics_context_on_site_market_api_view_all_fields'),
(17, 'statistics_context_on_site_market_api_view_all_fields'),
(33, 'statistics_context_on_site_market_api_view_all_fields'),
(38, 'statistics_context_on_site_market_api_view_all_fields'),

( 2, 'search_on_site_market_api_view_all'),
(15, 'search_on_site_market_api_view_all'),
(17, 'search_on_site_market_api_view_all'),

( 2, 'search_on_site_market_api_view_action_log'),
(15, 'search_on_site_market_api_view_action_log'),
(17, 'search_on_site_market_api_view_action_log'),
(38, 'search_on_site_market_api_view_action_log'),

( 2, 'search_on_site_market_api_view_filter__login'),
(15, 'search_on_site_market_api_view_filter__login'),
(17, 'search_on_site_market_api_view_filter__login'),

( 2, 'can_be_statistics_reloaded_search_on_site_market_api'),
(15, 'can_be_statistics_reloaded_search_on_site_market_api'),
(38, 'can_be_statistics_reloaded_search_on_site_market_api'),

( 2, 'statistics_search_on_site_market_api_view_entity_field__login'),
(15, 'statistics_search_on_site_market_api_view_entity_field__login'),
(17, 'statistics_search_on_site_market_api_view_entity_field__login'),

( 2, 'statistics_always_view_search_on_site_market_api'),

( 2, 'statistics_search_on_site_market_api_view_all_fields'),
(15, 'statistics_search_on_site_market_api_view_all_fields'),
(17, 'statistics_search_on_site_market_api_view_all_fields'),
(33, 'statistics_search_on_site_market_api_view_all_fields'),
(38, 'statistics_search_on_site_market_api_view_all_fields');


REPLACE INTO `statistics_reports_level_order` (`level_id`, `order`) VALUES
('advnet_context_on_site_mcb', 63),
('advnet_context_on_site_market', 65),
('advnet_context_on_site_market_api', 77),

('advnet_search_on_site_mcb', 103),
('advnet_search_on_site_market', 105),
('advnet_search_on_site_market_api', 107);

/* PI-7780 end */
INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('advnet_report', 'advnet_on_site', 'Отчет по рекламе на сайтах за ${period||30days}', 'Отчет по рекламе на сайтах за ${period||30days}', '{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","partner_wo_nds"],"dimension_fields":["page_id","an_campaign_caption"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_on_site',
    `caption_ru`='Отчет по рекламе на сайтах за ${period||30days}',
    `caption_en`='Report on website advertisements for ${period||30days}',
    `query`='{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","partner_wo_nds"],"dimension_fields":["page_id","an_campaign_caption"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('advnet_report_by_login', 'advnet_on_site', 'Отчет по рекламе на сайтах для логина ${login} за 30 дней', 'Отчет по рекламе на сайтах для логина ${login} за 30 дней', '{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["login","MATCH",["user","MATCH",["login","IN",["${login}"]]]]]],"id":"advnet_on_site"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["an_campaign_caption","page_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["login","MATCH",["user","MATCH",["login","IN",["${login}"]]]]]],"id":"advnet_on_site"}],"period":"30days","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_on_site',
    `caption_ru`='Отчет по рекламе на сайтах для логина ${login} за 30 дней',
    `caption_en`='Report on website advertisements for ${login} login for past 30 days',
    `query`='{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["login","MATCH",["user","MATCH",["login","IN",["${login}"]]]]]],"id":"advnet_on_site"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["an_campaign_caption","page_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["login","MATCH",["user","MATCH",["login","IN",["${login}"]]]]]],"id":"advnet_on_site"}],"period":"30days","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('all_payments', 'payment', 'Доход по всем видам рекламы за ${period||90days}', 'Доход по всем видам рекламы за ${period||90days}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||90days}","fields":["adfox_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","mobile_rtb_partner_wo_nds","partner_wo_nds","premium_partner_wo_nds","rtb_partner_wo_nds","stripe_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"payment","filter":null}]}],"chartLevel":[{"period":"${period||90days}","fields":["rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds","video_an_site_sum_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"payment","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Доход по всем видам рекламы за ${period||90days}',
    `caption_en`='Revenue from all types of advertisements for ${period||90days}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||90days}","fields":["adfox_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","market_api_search_partner_wo_nds","mobile_rtb_partner_wo_nds","partner_wo_nds","premium_partner_wo_nds","rtb_partner_wo_nds","stripe_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"payment","filter":null}]}],"chartLevel":[{"period":"${period||90days}","fields":["rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds","video_an_site_sum_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"payment","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adblock_detailed_report', 'advnet_context_on_site_adblock', 'Отчет по блокам Adblock за ${period||30days} (с детализацией по дням)', 'Отчет по блокам Adblock за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adblock_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adblock',
    `caption_ru`='Отчет по блокам Adblock за ${period||30days} (с детализацией по дням)',
    `caption_en`='Adblock blocks report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adblock_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adblock_detailed_report_by_block_id', 'advnet_context_on_site_adblock', 'Отчет по блоку Adblock ${block_id} «${name}» за ${period||30days}', 'Отчет по блоку Adblock ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_visibility","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adblock_block_shows","adblock_block_shows_own_adv","adblock_block_hits","adblock_block_hits_own_adv","adblock_block_hits_unsold","adblock_partner_wo_nds","adblock_block_winrate","adblock_block_visibility","adblock_block_all_hits","adblock_block_cover_ratio","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adblock',
    `caption_ru`='Отчет по блоку Adblock ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Adblock block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_visibility","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adblock_block_shows","adblock_block_shows_own_adv","adblock_block_hits","adblock_block_hits_own_adv","adblock_block_hits_unsold","adblock_partner_wo_nds","adblock_block_winrate","adblock_block_visibility","adblock_block_all_hits","adblock_block_cover_ratio","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adblock_report', 'advnet_context_on_site_adblock', 'Отчет по блокам Adblock за ${period||30days} (без детализации по дням)', 'Отчет по блокам Adblock за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"adblock_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adblock_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adblock',
    `caption_ru`='Отчет по блокам Adblock за ${period||30days} (без детализации по дням)',
    `caption_en`='Adblock report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"adblock_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adblock_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adblock","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adblock_report_by_page_id', 'advnet_context_on_site_adblock', 'Отчет по блокам Adblock для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по блокам Adblock для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["adblock_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_visibility","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"adblock_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adblock',
    `caption_ru`='Отчет по блокам Adblock для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report for Adblock blocks at ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["adblock_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adblock_block_shows","adblock_block_hits","adblock_partner_wo_nds","adblock_block_visibility","adblock_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adblock"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"adblock_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adfox_detailed_report', 'advnet_context_on_site_adfox', 'Отчет по ADFOX за ${period||30days} (с детализацией по дням)', 'Отчет по ADFOX за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adfox_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adfox',
    `caption_ru`='Отчет по ADFOX за ${period||30days} (с детализацией по дням)',
    `caption_en`='ADFOX report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adfox_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adfox_detailed_report_by_block_id', 'advnet_context_on_site_adfox', 'Отчет по блоку ADFOX ${block_id} «${name}» за ${period||30days}', 'Отчет по блоку ADFOX ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_visibility","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adfox_block_shows","adfox_block_shows_own_adv","adfox_block_hits","adfox_block_hits_own_adv","adfox_block_hits_unsold","adfox_partner_wo_nds","adfox_block_winrate","adfox_block_visibility","adfox_block_all_hits","adfox_block_cover_ratio","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adfox',
    `caption_ru`='Отчет по блоку ADFOX ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Report on the ADFOX ${block_id} "${name}" block for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_visibility","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adfox_block_shows","adfox_block_shows_own_adv","adfox_block_hits","adfox_block_hits_own_adv","adfox_block_hits_unsold","adfox_partner_wo_nds","adfox_block_winrate","adfox_block_visibility","adfox_block_all_hits","adfox_block_cover_ratio","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adfox_report', 'advnet_context_on_site_adfox', 'Отчет по ADFOX за ${period||30days} (без детализации по дням)', 'Отчет по ADFOX за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adfox_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adfox',
    `caption_ru`='Отчет по ADFOX за ${period||30days} (без детализации по дням)',
    `caption_en`='ADFOX report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["adfox_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_adfox","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_adfox_report_by_page_id', 'advnet_context_on_site_adfox', 'Отчет по блокам ADFOX для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по блокам ADFOX для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_visibility","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_adfox',
    `caption_ru`='Отчет по блокам ADFOX для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on ADFOX blocks for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["adfox_block_shows","adfox_block_hits","adfox_partner_wo_nds","adfox_block_visibility","adfox_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_adfox"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_detailed_report', 'advnet_context_on_site_direct', 'Отчет по Директу за ${period||30days} (с детализацией по дням)', 'Отчет по Директу за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по Директу за ${period||30days} (с детализацией по дням)',
    `caption_en`='Direct report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_detailed_report_by_block_id', 'advnet_context_on_site_direct', 'Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}', 'Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Report on the Direct ${block_id} "${name}" block for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_report', 'advnet_context_on_site_direct', 'Отчет по Директу за ${period||30days} (без детализации по дням)', 'Отчет по Директу за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"dimension_fields":["currency_id","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по Директу за ${period||30days} (без детализации по дням)',
    `caption_en`='Direct report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"dimension_fields":["currency_id","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["direct_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_direct","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_report_by_page_id', 'advnet_context_on_site_direct', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Direct for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_tags_detailed_report', 'advnet_context_on_site_direct', 'Отчет по срезам Директа за ${period||30days} (с детализацией по дням)', 'Отчет по срезам Директа за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа за ${period||30days} (с детализацией по дням)',
    `caption_en`='Direct cross-section report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_tags_report', 'advnet_context_on_site_direct', 'Отчет по срезам Директа за ${period||30days} (без детализации по дням)', 'Отчет по срезам Директа за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","tag_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа за ${period||30days} (без детализации по дням)',
    `caption_en`='Direct cross-section report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","tag_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_direct_tags_report_by_page_id', 'advnet_context_on_site_direct', 'Отчет по срезам Директа для площадки за ${page_id} «${name}» ${period||30days}', 'Отчет по срезам Директа для площадки за ${page_id} «${name}» ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа для площадки за ${page_id} «${name}» ${period||30days}',
    `caption_en`='Direct cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_income', 'advnet_context_on_site', 'Доход по рекламе на тематических площадках за ${period||10days}', 'Доход по рекламе на тематических площадках за ${period||10days}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site',
    `caption_ru`='Доход по рекламе на тематических площадках за ${period||10days}',
    `caption_en`='Revenue from advertisement on theme-based ad platforms for ${period||10days}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_market_api_detailed_report', 'advnet_context_on_site_market_api', 'Отчет по API Маркета за ${period||30days} (с детализацией по дням)', 'Отчет по API Маркета за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds","market_api_context_clicks","market_api_context_cpc_market_api_context_all_wo_nds","market_api_context_cpm_market_api_context_all_wo_nds","market_api_context_ctr","market_api_context_shows"],"dimension_fields":["context_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_market_api',
    `caption_ru`='Отчет по API Маркета за ${period||30days} (с детализацией по дням)',
    `caption_en`='API Market report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds","market_api_context_clicks","market_api_context_cpc_market_api_context_all_wo_nds","market_api_context_cpm_market_api_context_all_wo_nds","market_api_context_ctr","market_api_context_shows"],"dimension_fields":["context_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_market_api_report', 'advnet_context_on_site_market_api', 'Отчет по API Маркета за ${period||30days} (без детализации по дням)', 'Отчет по API Маркета за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"market_api_context_all_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds","market_api_context_clicks","market_api_context_cpc_market_api_context_all_wo_nds","market_api_context_cpm_market_api_context_all_wo_nds","market_api_context_ctr","market_api_context_shows"],"dimension_fields":["currency_id","context_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_market_api',
    `caption_ru`='Отчет по API Маркета за ${period||30days} (без детализации по дням)',
    `caption_en`='API Market report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"market_api_context_all_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds","market_api_context_clicks","market_api_context_cpc_market_api_context_all_wo_nds","market_api_context_cpm_market_api_context_all_wo_nds","market_api_context_ctr","market_api_context_shows"],"dimension_fields":["currency_id","context_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_context_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_market_api","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_market_api_report_by_page_id', 'advnet_context_on_site_market_api', 'Отчет по API Маркета для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по API Маркета для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["market_api_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["market_api_context_clicks","market_api_context_shows","market_api_context_ctr","market_api_context_partner_wo_nds","market_api_context_cpm_market_api_context_partner_wo_nds","market_api_context_cpc_market_api_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"market_api_context_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_market_api',
    `caption_ru`='Отчет по API Маркета для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on API Market for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["market_api_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["market_api_context_clicks","market_api_context_shows","market_api_context_ctr","market_api_context_partner_wo_nds","market_api_context_cpm_market_api_context_partner_wo_nds","market_api_context_cpc_market_api_context_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"market_api_context_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_report', 'advnet_context_on_site', 'Отчет по рекламе на тематических площадках за ${period||30days}', 'Отчет по рекламе на тематических площадках за ${period||30days}', '{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site',
    `caption_ru`='Отчет по рекламе на тематических площадках за ${period||30days}',
    `caption_en`='Report on theme-based ad platform advertisement for ${period||30days}',
    `query`='{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_report_by_page_id', 'advnet_context_on_site', 'Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["adfox_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","partner_wo_nds","rtb_partner_wo_nds","stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["market_api_context_partner_wo_nds","stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site',
    `caption_ru`='Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on ${page_id} "${name}" theme-based ad platform for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["adfox_partner_wo_nds","direct_context_partner_wo_nds","market_api_context_partner_wo_nds","partner_wo_nds","rtb_partner_wo_nds","stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["market_api_context_partner_wo_nds","stripe_partner_wo_nds","rtb_partner_wo_nds","direct_context_partner_wo_nds","adfox_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_rtb_detailed_report', 'advnet_context_on_site_rtb', 'Отчет по RTB за ${period||30days} (с детализацией по дням)', 'Отчет по RTB за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB за ${period||30days} (с детализацией по дням)',
    `caption_en`='RTB report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_rtb_detailed_report_by_block_id', 'advnet_context_on_site_rtb', 'Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}', 'Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_shows_own_adv","rtb_block_hits","rtb_block_hits_own_adv","rtb_block_hits_unsold","rtb_partner_wo_nds","rtb_block_winrate","rtb_block_visibility","rtb_block_all_hits","rtb_block_cover_ratio","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='RTB block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_shows_own_adv","rtb_block_hits","rtb_block_hits_own_adv","rtb_block_hits_unsold","rtb_partner_wo_nds","rtb_block_winrate","rtb_block_visibility","rtb_block_all_hits","rtb_block_cover_ratio","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_rtb_report', 'advnet_context_on_site_rtb', 'Отчет по RTB за ${period||30days} (без детализации по дням)', 'Отчет по RTB за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB за ${period||30days} (без детализации по дням)',
    `caption_en`='RTB report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_rtb_report_by_page_id', 'advnet_context_on_site_rtb', 'Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report for RTB blocks at ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_hits","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_stripe_detailed_report', 'advnet_context_on_site_stripe', 'Отчет по Промоблоку за ${period||30days} (с детализацией по дням)', 'Отчет по Промоблоку за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку за ${period||30days} (с детализацией по дням)',
    `caption_en`='Stripe report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"dimension_fields":["date|day","context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_stripe_detailed_report_by_block_id', 'advnet_context_on_site_stripe', 'Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}', 'Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Stripe ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_stripe_report', 'advnet_context_on_site_stripe', 'Отчет по Промоблоку за ${period||30days} (без детализации по дням)', 'Отчет по Промоблоку за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку за ${period||30days} (без детализации по дням)',
    `caption_en`='Stripe report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"dimension_fields":["context_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["stripe_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_context_on_site_stripe","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('context_stripe_report_by_page_id', 'advnet_context_on_site_stripe', 'Отчет по Промоблоку для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Промоблоку для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Stripes report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["stripe_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr","stripe_cpm_partner_wo_nds","stripe_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"rtb_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('dsp_detailed_report', 'dsp', 'Отчет по DSP за ${period||thismonth} (с детализацией по дням)', 'Отчет по DSP за ${period||thismonth} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='dsp',
    `caption_ru`='Отчет по DSP за ${period||thismonth} (с детализацией по дням)',
    `caption_en`='DSP report for ${period||thismonth} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('dsp_detailed_report_by_dsp_id', 'dsp', 'Отчет для DSP ID ${dsp_id} «${name}»', 'Отчет для DSP ID ${dsp_id} «${name}»', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["id","IN",["${dsp_id}"]]]]}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["id","IN",["${dsp_id}"]]]]}]}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='dsp',
    `caption_ru`='Отчет для DSP ID ${dsp_id} «${name}»',
    `caption_en`='Report for DSP ID ${dsp_id} "${name}"',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["id","IN",["${dsp_id}"]]]]}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["id","IN",["${dsp_id}"]]]]}]}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('dsp_detailed_report_last_month', 'dsp', 'Отчет по DSP за ${period||lastmonth} (с детализацией по дням)', 'Отчет по DSP за ${period||lastmonth} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||lastmonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||lastmonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='dsp',
    `caption_ru`='Отчет по DSP за ${period||lastmonth} (с детализацией по дням)',
    `caption_en`='DSP report for ${period||lastmonth} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||lastmonth}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||lastmonth}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('dsp_report', 'dsp', 'Начислено DSP за ${period||90days} (без детализации по дням)', 'Начислено DSP за ${period||90days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||90days}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||90days}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='dsp',
    `caption_ru`='Начислено DSP за ${period||90days} (без детализации по дням)',
    `caption_en`='DSP charged for ${period||90days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||90days}","fields":["dsp_bids","dsp_shows","all_hits","dsp_charging_wo_nds","dsp_cpm_charging_wo_nds","average_rate_all_real_price_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["id","short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}],"chartLevel":[{"period":"${period||90days}","fields":["dsp_charging_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["short_caption"],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('dsp_report_by_caption', 'dsp', 'Отчет по DSP ${caption} за ${period||30days}', 'Отчет по DSP ${caption} за ${period||30days}', '{"chartLevel":[{"period":"${period||30days}","fields":["dsp_bids","dsp_shows","dsp_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["short_caption","LIKE","${caption}"]]]}]}],"tableLevel":[{"period":"${period||30days}","fields":["dsp_bids","dsp_shows","dsp_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["short_caption","LIKE","${caption}"]]]}]}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='dsp',
    `caption_ru`='Отчет по DSP ${caption} за ${period||30days}',
    `caption_en`='DSP ${caption} report for ${period||30days}',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["dsp_bids","dsp_shows","dsp_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["short_caption","LIKE","${caption}"]]]}]}],"tableLevel":[{"period":"${period||30days}","fields":["dsp_bids","dsp_shows","dsp_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"dsp","filter":["AND",[["short_caption","LIKE","${caption}"]]]}]}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_advnet_report', 'internal_advnet_on_site', 'Отчет по рекламе на сайтах', 'Отчет по рекламе на сайтах', '{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","premium_all_wo_nds","direct_context_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","premium_all_wo_nds","direct_context_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day","page_id"],"dimension_filter":null,"entity_fields":["domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_on_site',
    `caption_ru`='Отчет по рекламе на сайтах',
    `caption_en`='Report on website advertisements',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","premium_all_wo_nds","direct_context_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","premium_all_wo_nds","direct_context_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day","page_id"],"dimension_filter":null,"entity_fields":["domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_advnet_report_by_domain', 'internal_advnet_on_site', 'Отчет по домену ${domain} за ${period||30days}', 'Отчет по домену ${domain} за ${period||30days}', '{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_w_nds","rtb_all_w_nds","premium_all_w_nds","direct_context_all_w_nds","direct_search_all_w_nds","all_w_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":["AND",[["domain","LIKE","${domain}"]]]}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_w_nds","rtb_all_w_nds","premium_all_w_nds","direct_context_all_w_nds","direct_search_all_w_nds","all_w_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":["AND",[["domain","LIKE","${domain}"]]]}]}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_on_site',
    `caption_ru`='Отчет по домену ${domain} за ${period||30days}',
    `caption_en`='${domain} domain report for ${period||30days}',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_w_nds","rtb_all_w_nds","premium_all_w_nds","direct_context_all_w_nds","direct_search_all_w_nds","all_w_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":["AND",[["domain","LIKE","${domain}"]]]}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_w_nds","rtb_all_w_nds","premium_all_w_nds","direct_context_all_w_nds","direct_search_all_w_nds","all_w_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_on_site","filter":["AND",[["domain","LIKE","${domain}"]]]}]}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_detailed_report', 'internal_advnet_context_on_site_direct', 'Отчет по Директу за ${period||30days} (с детализацией по дням)', 'Отчет по Директу за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по Директу за ${period||30days} (с детализацией по дням)',
    `caption_en`='Direct report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_detailed_report_by_block_id', 'internal_advnet_context_on_site_direct', 'Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}', 'Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по блоку Директа ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Report on the Direct ${block_id} "${name}" block for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_report', 'internal_advnet_context_on_site_direct', 'Отчет по Директу за ${period||30days} (без детализации по дням)', 'Отчет по Директу за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по Директу за ${period||30days} (без детализации по дням)',
    `caption_en`='Direct report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["direct_context_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_direct","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_report_by_page_id', 'internal_advnet_context_on_site_direct', 'Отчет по блокам Директа для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по блокам Директа для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","public_id"],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по блокам Директа для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Direct for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","public_id"],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_tags_detailed_report', 'internal_advnet_context_on_site_direct', 'Отчет по срезам Директа за ${period||30days} (с детализацией по дням)', 'Отчет по срезам Директа за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа за ${period||30days} (с детализацией по дням)',
    `caption_en`='Direct cross-section report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_tags_report', 'internal_advnet_context_on_site_direct', 'Отчет по срезам Директа за ${period||30days} (без детализации по дням)', 'Отчет по срезам Директа за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа за ${period||30days} (без детализации по дням)',
    `caption_en`='Direct cross-section report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"direct_context_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_direct_tags_report_by_page_id', 'internal_advnet_context_on_site_direct', 'Отчет по срезам Директа для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по срезам Директа для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_direct',
    `caption_ru`='Отчет по срезам Директа для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Direct cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","tag_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_all_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_all_wo_nds","direct_context_cpc_direct_context_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_income', 'internal_advnet_context_on_site', 'Доход по рекламе на тематических площадках за ${period||10days}', 'Доход по рекламе на тематических площадках за ${period||10days}', '{"chartLevel":[{"period":"${period||10days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site',
    `caption_ru`='Доход по рекламе на тематических площадках за ${period||10days}',
    `caption_en`='Revenue from advertisement on theme-based ad platforms for ${period||10days}',
    `query`='{"chartLevel":[{"period":"${period||10days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_report', 'internal_advnet_context_on_site', 'Отчет по рекламе на тематических площадках за ${period||30days}', 'Отчет по рекламе на тематических площадках за ${period||30days}', '{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site',
    `caption_ru`='Отчет по рекламе на тематических площадках за ${period||30days}',
    `caption_en`='Report on theme-based ad platform advertisement for ${period||30days}',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_report_by_page_id', 'internal_advnet_context_on_site', 'Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site',
    `caption_ru`='Отчет по тематической площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on ${page_id} "${name}" theme-based ad platform for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["stripe_all_wo_nds","rtb_all_wo_nds","direct_context_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_rtb_detailed_report', 'internal_advnet_context_on_site_rtb', 'Отчет по RTB за ${period||30days} (с детализацией по дням)', 'Отчет по RTB за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB за ${period||30days} (с детализацией по дням)',
    `caption_en`='RTB report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_rtb_detailed_report_by_block_id', 'internal_advnet_context_on_site_rtb', 'Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}', 'Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_visibility","rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_shows_own_adv","rtb_block_hits","rtb_block_hits_own_adv","rtb_block_hits_unsold","rtb_all_wo_nds","rtb_block_winrate","rtb_block_visibility","rtb_block_all_hits","rtb_block_cover_ratio"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB-блоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='RTB block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_visibility","rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_shows_own_adv","rtb_block_hits","rtb_block_hits_own_adv","rtb_block_hits_unsold","rtb_all_wo_nds","rtb_block_winrate","rtb_block_visibility","rtb_block_all_hits","rtb_block_cover_ratio"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_rtb_report', 'internal_advnet_context_on_site_rtb', 'Отчет по RTB за ${period||30days} (без детализации по дням)', 'Отчет по RTB за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB за ${period||30days} (без детализации по дням)',
    `caption_en`='RTB report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_rtb_report_by_page_id', 'internal_advnet_context_on_site_rtb', 'Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["rtb_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_visibility","rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_rtb',
    `caption_ru`='Отчет по RTB-блокам для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report for RTB blocks at ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["rtb_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["rtb_block_shows","rtb_block_hits","rtb_all_wo_nds","rtb_block_visibility","rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_stripe_detailed_report', 'internal_advnet_context_on_site_stripe', 'Отчет по Промоблоку за ${period||30days} (с детализацией по дням)', 'Отчет по Промоблоку за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку за ${period||30days} (с детализацией по дням)',
    `caption_en`='Stripe report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_stripe_detailed_report_by_block_id', 'internal_advnet_context_on_site_stripe', 'Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}', 'Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Stripe ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_stripe_report', 'internal_advnet_context_on_site_stripe', 'Отчет по Промоблоку за ${period||30days} (без детализации по дням)', 'Отчет по Промоблоку за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблоку за ${period||30days} (без детализации по дням)',
    `caption_en`='Stripe report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["stripe_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_context_on_site_stripe","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_context_stripe_report_by_page_id', 'internal_advnet_context_on_site_stripe', 'Отчет по Промоблокам для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Промоблокам для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["stripe_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_context_on_site_stripe',
    `caption_ru`='Отчет по Промоблокам для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Stripes report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["stripe_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","title"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_all_wo_nds","stripe_ctr","stripe_cpm_all_wo_nds","stripe_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_context_on_site_stripe"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_income', 'internal_mobile_app', 'Доход по рекламе в мобильных приложениях за ${period||10days}', 'Доход по рекламе в мобильных приложениях за ${period||10days}', '{"chartLevel":[{"period":"${period||10days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app',
    `caption_ru`='Доход по рекламе в мобильных приложениях за ${period||10days}',
    `caption_en`='Revenue from mobile application advertisements for ${period||10days}',
    `query`='{"chartLevel":[{"period":"${period||10days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_report', 'internal_mobile_app', 'Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)', 'Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","caption"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app',
    `caption_ru`='Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on mobile application advertisements for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","caption"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_report_by_page_id', 'internal_mobile_app', 'Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app',
    `caption_ru`='Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='${page_id} "${name}" mobile application report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_rtb_detailed_report', 'internal_mobile_app_rtb', 'Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)', 'Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on mobile RTB blocks for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":["date|day","currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_rtb_detailed_report_by_block_id', 'internal_mobile_app_rtb', 'Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}', 'Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_shows_own_adv","mobile_rtb_block_hits","mobile_rtb_block_hits_own_adv","mobile_rtb_block_hits_unsold","mobile_rtb_all_wo_nds","mobile_rtb_block_winrate","mobile_rtb_block_visibility","mobile_rtb_block_all_hits","mobile_rtb_block_cover_ratio","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app_rtb',
    `caption_ru`='Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Mobile RTB block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_shows_own_adv","mobile_rtb_block_hits","mobile_rtb_block_hits_own_adv","mobile_rtb_block_hits_unsold","mobile_rtb_all_wo_nds","mobile_rtb_block_winrate","mobile_rtb_block_visibility","mobile_rtb_block_all_hits","mobile_rtb_block_cover_ratio","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_rtb_report', 'internal_mobile_app_rtb', 'Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)', 'Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":["currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on mobile RTB blocks for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_all_wo_nds"],"dimension_fields":["date|day","currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_cpm_all_wo_nds"],"dimension_fields":["currency_id","internal_mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["application_id"],"total":0,"vat":-1,"levels":[{"id":"internal_mobile_app_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_mobile_rtb_report_by_page_id', 'internal_mobile_app_rtb', 'Отчет по мобильным RTB-блокам на площадке ${page_id} «${name}» за ${period||30days}', 'Отчет по мобильным RTB-блокам на площадке ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["mobile_rtb_all_wo_nds"],"levels":[{"filter":["AND",[["application_id","=",["${page_id}"]]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["application_id","IN",["${page_id}"]]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам на площадке ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on mobile RTB blocks for ${page_id} "${name}" application for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["mobile_rtb_all_wo_nds"],"levels":[{"filter":["AND",[["application_id","=",["${page_id}"]]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_all_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_all_wo_nds"],"levels":[{"filter":["AND",[["application_id","IN",["${page_id}"]]]],"id":"internal_mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_detailed_report', 'internal_advnet_search_on_site_direct', 'Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)', 'Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search Direct report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_report', 'internal_advnet_search_on_site_direct', 'Отчет по поисковому Директу за ${period||30days} (без детализации по дням)', 'Отчет по поисковому Директу за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по поисковому Директу за ${period||30days} (без детализации по дням)',
    `caption_en`='Search Direct report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_report_by_page_id', 'internal_advnet_search_on_site_direct', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_all_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Direct for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_all_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_tags_detailed_report', 'internal_advnet_search_on_site_direct', 'Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)', 'Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search Direct cross-section report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_tags_report', 'internal_advnet_search_on_site_direct', 'Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)', 'Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)',
    `caption_en`='Search Direct cross-section report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_direct_tags_report_by_page_id', 'internal_advnet_search_on_site_direct', 'Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Search Direct cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_all_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_all_wo_nds","direct_search_cpc_direct_search_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_income', 'internal_advnet_search_on_site', 'Доход по рекламе на поисковых площадках за ${period||10days}', 'Доход по рекламе на поисковых площадках за ${period||10days}', '{"chartLevel":[{"period":"${period||10days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site',
    `caption_ru`='Доход по рекламе на поисковых площадках за ${period||10days}',
    `caption_en`='Revenue from advertisement on search ad platform for ${period||10days}',
    `query`='{"chartLevel":[{"period":"${period||10days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_detailed_report', 'internal_advnet_search_on_site_premium', 'Отчет по Спецразмещению ${period||30days} (с детализацией по дням)', 'Отчет по Спецразмещению ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению ${period||30days} (с детализацией по дням)',
    `caption_en`='Premium placement report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_detailed_report_by_block_id', 'internal_advnet_search_on_site_premium', 'Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}', 'Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_shows","premium_clicks","premium_all_wo_nds"],"levels":[{"filter":["AND",[["id","${block_id}","="]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["id","${block_id}","="]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Premium placement ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_shows","premium_clicks","premium_all_wo_nds"],"levels":[{"filter":["AND",[["id","${block_id}","="]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["id","${block_id}","="]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_report', 'internal_advnet_search_on_site_premium', 'Отчет по Спецразмещению за ${period||30days} (без детализации по дням)', 'Отчет по Спецразмещению за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению за ${period||30days} (без детализации по дням)',
    `caption_en`='Premium placement report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site_premium","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_report_by_page_id', 'internal_advnet_search_on_site_premium', 'Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["premium_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Premium placement for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["premium_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_tags_detailed_report', 'internal_advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)', 'Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)',
    `caption_en`='Premium placement cross-section report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_tags_report', 'internal_advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)', 'Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)',
    `caption_en`='Premium placement cross-section report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":null,"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_premium_tags_report_by_page_id', 'internal_advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Premium placement cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","tag_id","currency_id"],"dimension_filter":null,"entity_fields":["domain","campaign_id"],"fields":["premium_shows","premium_clicks","premium_all_wo_nds","premium_ctr","premium_cpm_all_wo_nds","premium_cpc_all_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_report', 'internal_advnet_search_on_site', 'Отчет по рекламе на поисковых площадках за ${period||30days}', 'Отчет по рекламе на поисковых площадках за ${period||30days}', '{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site',
    `caption_ru`='Отчет по рекламе на поисковых площадках за ${period||30days}',
    `caption_en`='Report on search ad platform advertisements for ${period||30days}',
    `query`='{"chartLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}],"tableLevel":[{"period":"${period||30days}","fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","domain"],"total":0,"vat":-1,"levels":[{"id":"internal_advnet_search_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('internal_search_report_by_page_id', 'internal_advnet_search_on_site', 'Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='internal_advnet_search_on_site',
    `caption_ru`='Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on ${page_id} "${name}" search ad platform for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["premium_all_wo_nds","direct_search_all_wo_nds","all_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"internal_advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_income', 'mobile_app', 'Доход по рекламе в мобильных приложениях за ${period||10days}', 'Доход по рекламе в мобильных приложениях за ${period||10days}', '{"chartLevel":[{"period":"${period||10days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app',
    `caption_ru`='Доход по рекламе в мобильных приложениях за ${period||10days}',
    `caption_en`='Revenue from mobile application advertisements for ${period||10days}',
    `query`='{"chartLevel":[{"period":"${period||10days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}],"tableLevel":[{"period":"${period||10days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_report', 'mobile_app', 'Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)', 'Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["context_page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app',
    `caption_ru`='Отчет по рекламе в мобильных приложениях за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on mobile application advertisements for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["context_page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_report_by_login', 'mobile_app', 'Отчет по рекламе в мобильных приложениях для логина ${login} за 30 дней (без детализации по дням)', 'Отчет по рекламе в мобильных приложениях для логина ${login} за 30 дней (без детализации по дням)', '{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"mobile_app"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","context_page_id"],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"mobile_app"}],"period":"30days","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app',
    `caption_ru`='Отчет по рекламе в мобильных приложениях для логина ${login} за 30 дней (без детализации по дням)',
    `caption_en`='Report on mobile application advertisements for ${login} login for past 30 days (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"mobile_app"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","context_page_id"],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"mobile_app"}],"period":"30days","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_report_by_page_id', 'mobile_app', 'Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["context_page_id","caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app',
    `caption_ru`='Отчет по мобильному приложению ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='${page_id} "${name}" mobile application report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["context_page_id","caption"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_rtb_detailed_report', 'mobile_app_rtb', 'Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)', 'Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","currency_id","mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on mobile RTB blocks for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":["date|day","currency_id","mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_rtb_detailed_report_by_block_id', 'mobile_app_rtb', 'Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}', 'Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_shows_own_adv","mobile_rtb_block_hits","mobile_rtb_block_hits_own_adv","mobile_rtb_block_hits_unsold","mobile_rtb_partner_wo_nds","mobile_rtb_block_winrate","mobile_rtb_block_visibility","mobile_rtb_block_all_hits","mobile_rtb_block_cover_ratio","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app_rtb',
    `caption_ru`='Отчет по мобильному RTB-блоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Mobile RTB block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_shows_own_adv","mobile_rtb_block_hits","mobile_rtb_block_hits_own_adv","mobile_rtb_block_hits_unsold","mobile_rtb_partner_wo_nds","mobile_rtb_block_winrate","mobile_rtb_block_visibility","mobile_rtb_block_all_hits","mobile_rtb_block_cover_ratio","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_rtb_report', 'mobile_app_rtb', 'Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)', 'Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":["mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day","mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on mobile RTB blocks for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"mobile_rtb_partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"dimension_fields":["mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":["context_page_id"],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["mobile_rtb_partner_wo_nds"],"dimension_fields":["date|day","mobile_caption","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"mobile_app_rtb","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('mobile_rtb_report_by_page_id', 'mobile_app_rtb', 'Отчет по мобильным RTB-блокам для приложения ${page_id} «${name}» за ${period||30days}', 'Отчет по мобильным RTB-блокам для приложения ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='mobile_app_rtb',
    `caption_ru`='Отчет по мобильным RTB-блокам для приложения ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on mobile RTB blocks for ${page_id} "${name}" application for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["mobile_rtb_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["mobile_rtb_block_shows","mobile_rtb_block_hits","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["context_page_id","IN",["${page_id}"]]]],"id":"mobile_app_rtb"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_all_payments', 'payment', 'Доход по всем видам рекламы за период ${period_current} со сравнением', 'Доход по всем видам рекламы за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":null,"id":"payment"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":null,"id":"payment"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Доход по всем видам рекламы за период ${period_current} со сравнением',
    `caption_en`='Revenue from all types of advertisements for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":null,"id":"payment"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","rtb_partner_wo_nds","mobile_rtb_partner_wo_nds","adfox_partner_wo_nds","adblock_partner_wo_nds","premium_partner_wo_nds","direct_context_partner_wo_nds","direct_search_partner_wo_nds","stripe_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":null,"id":"payment"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_context_adfox', 'payment', 'Отчет по ADFOX за период ${period_current} со сравнением', 'Отчет по ADFOX за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_adfox"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_adfox"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по ADFOX за период ${period_current} со сравнением',
    `caption_en`='ADFOX report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_adfox"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["adfox_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_adfox"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_context_direct', 'payment', 'Отчет по Директу за период ${period_current} со сравнением', 'Отчет по Директу за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по Директу за период ${period_current} со сравнением',
    `caption_en`='Direct report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_context_shows","direct_context_clicks","direct_context_partner_wo_nds","direct_context_ctr","direct_context_cpm_direct_context_partner_wo_nds","direct_context_cpc_direct_context_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_direct"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_context_rtb', 'payment', 'Отчет по RTB за период ${period_current} со сравнением', 'Отчет по RTB за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_hits","rtb_block_shows","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpmh_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_rtb"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_hits","rtb_block_shows","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpmh_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_rtb"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по RTB за период ${period_current} со сравнением',
    `caption_en`='RTB report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_hits","rtb_block_shows","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpmh_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_rtb"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["rtb_block_hits","rtb_block_shows","rtb_partner_wo_nds","rtb_block_visibility","rtb_block_cpmh_partner_wo_nds","rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_context_on_site_rtb"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_context_stripe', 'payment', 'Отчет по ADFOX за период ${period_current} со сравнением', 'Отчет по ADFOX за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr"],"levels":[{"filter":null,"id":"advnet_context_on_site_stripe"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr"],"levels":[{"filter":null,"id":"advnet_context_on_site_stripe"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по ADFOX за период ${period_current} со сравнением',
    `caption_en`='ADFOX report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr"],"levels":[{"filter":null,"id":"advnet_context_on_site_stripe"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["stripe_hits","stripe_shows","stripe_clicks","stripe_partner_wo_nds","stripe_ctr"],"levels":[{"filter":null,"id":"advnet_context_on_site_stripe"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_mobile_rtb', 'payment', 'Отчет по мобильным RTB-блокам за период ${period_current} со сравнением', 'Отчет по мобильным RTB-блокам за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpmh_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"mobile_app_rtb"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpmh_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"mobile_app_rtb"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по мобильным RTB-блокам за период ${period_current} со сравнением',
    `caption_en`='Report on mobile RTB blocks for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpmh_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"mobile_app_rtb"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["mobile_rtb_block_hits","mobile_rtb_block_shows","mobile_rtb_partner_wo_nds","mobile_rtb_block_visibility","mobile_rtb_block_cpmh_partner_wo_nds","mobile_rtb_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"mobile_app_rtb"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_search_direct', 'payment', 'Отчет по поисковому Директу за период ${period_current} со сравнением', 'Отчет по поисковому Директу за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по поисковому Директу за период ${period_current} со сравнением',
    `caption_en`='Search Direct report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_search_premium', 'payment', 'Отчет по Спецразмещению за период ${period_current} со сравнением', 'Отчет по Спецразмещению за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по Спецразмещению за период ${period_current} со сравнением',
    `caption_en`='Premium placement report for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_video_inpage_block', 'payment', 'Отчет по InPage видеоблокам за период ${period_current} со сравнением', 'Отчет по InPage видеоблокам за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по InPage видеоблокам за период ${period_current} со сравнением',
    `caption_en`='Report on InPage video blocks for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('monitorings_video_instream_block', 'payment', 'Отчет по Instream видеоблокам за период ${period_current} со сравнением', 'Отчет по Instream видеоблокам за период ${period_current} со сравнением', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='payment',
    `caption_ru`='Отчет по Instream видеоблокам за период ${period_current} со сравнением',
    `caption_en`='Report on Instream video blocks for period ${period_current} with comparison',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":["${period_current}","${period_current}"],"total":0,"vat":-1},{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":["${period_cmp}","${period_cmp}"],"total":0,"vat":-1}],"tableLevel":null}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_detailed_report', 'advnet_search_on_site_direct', 'Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)', 'Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по поисковому Директу за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search Direct report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_detailed_report_by_block_id', 'advnet_search_on_site_direct', 'Отчет по поисковому Директу ${block_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по поисковому Директу ${block_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по поисковому Директу ${block_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search Direct ${block_id} "${name}" report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_report', 'advnet_search_on_site_direct', 'Отчет по поисковому Директу за ${period||30days} (без детализации по дням)', 'Отчет по поисковому Директу за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по поисковому Директу за ${period||30days} (без детализации по дням)',
    `caption_en`='Search Direct report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_report_by_page_id', 'advnet_search_on_site_direct', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по Директу для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Direct for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_tags_detailed_report', 'advnet_search_on_site_direct', 'Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)', 'Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search Direct cross-section report for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_tags_report', 'advnet_search_on_site_direct', 'Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)', 'Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","tag_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа за ${period||30days} (без детализации по дням)',
    `caption_en`='Search Direct cross-section report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","tag_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","tag_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_direct_tags_report_by_page_id', 'advnet_search_on_site_direct', 'Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_direct',
    `caption_ru`='Отчет по срезам поискового Директа для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Search Direct cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["direct_search_shows","direct_search_clicks","direct_search_partner_wo_nds","direct_search_ctr","direct_search_cpm_direct_search_partner_wo_nds","direct_search_cpc_direct_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_direct"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"direct_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_income', 'advnet_search_on_site', 'Доход по рекламе на поисковых площадках за ${period||10days}', 'Доход по рекламе на поисковых площадках за ${period||10days}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site',
    `caption_ru`='Доход по рекламе на поисковых площадках за ${period||10days}',
    `caption_en`='Revenue from advertisement on search ad platforms for ${period||10days}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_market_api_detailed_report', 'advnet_search_on_site_market_api', 'Отчет по поисковому API Маркета за ${period||30days} (с детализацией по дням)', 'Отчет по поисковому API Маркета за ${period||30days} (с детализацией по дням)', '{"tableLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds","market_api_search_clicks","market_api_search_cpc_market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_ctr","market_api_search_shows"],"dimension_fields":["search_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds"],"dimension_fields":["search_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_market_api',
    `caption_ru`='Отчет по поисковому API Маркета за ${period||30days} (с детализацией по дням)',
    `caption_en`='Search API Market report for ${period||30days} (with daily details)',
    `query`='{"tableLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds","market_api_search_clicks","market_api_search_cpc_market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_ctr","market_api_search_shows"],"dimension_fields":["search_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds"],"dimension_fields":["search_campaign_caption","currency_id","date|day"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_market_api_report', 'advnet_search_on_site_market_api', 'Отчет по поисковому API Маркета за ${period||30days} (без детализации по дням)', 'Отчет по поисковому API Маркета за ${period||30days} (без детализации по дням)', '{"tableLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds","market_api_search_clicks","market_api_search_cpc_market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_ctr","market_api_search_shows"],"dimension_fields":["currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_search_all_wo_nds"],"dimension_fields":["date|day","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_market_api',
    `caption_ru`='Отчет по поисковому API Маркета за ${period||30days} (без детализации по дням)',
    `caption_en`='Search API Market report for ${period||30days} (without daily details)',
    `query`='{"tableLevel":[{"period":"${period||30days}","fields":["market_api_search_partner_wo_nds","market_api_search_clicks","market_api_search_cpc_market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_ctr","market_api_search_shows"],"dimension_fields":["currency_id","search_campaign_caption"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["market_api_search_all_wo_nds"],"dimension_fields":["date|day","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_market_api","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_market_api_report_by_page_id', 'advnet_search_on_site_market_api', 'Отчет по поисковому API маркета для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по поисковому API маркета для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["market_api_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["market_api_search_clicks","market_api_search_shows","market_api_search_ctr","market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_cpc_market_api_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"market_api_search_partner_wo_nds","sortOrder":"desc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_market_api',
    `caption_ru`='Отчет по поисковому API маркета для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on search API Market for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["market_api_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["market_api_search_clicks","market_api_search_shows","market_api_search_ctr","market_api_search_partner_wo_nds","market_api_search_cpm_market_api_search_partner_wo_nds","market_api_search_cpc_market_api_search_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_market_api"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"market_api_search_partner_wo_nds","sortOrder":"desc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_detailed_report', 'advnet_search_on_site_premium', 'Отчет по Спецразмещению за ${period||30days} (с детализацией по дням)', 'Отчет по Спецразмещению за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"dimension_fields":["date|day","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению за ${period||30days} (с детализацией по дням)',
    `caption_en`='Premium placement report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"dimension_fields":["date|day","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_detailed_report_by_block_id', 'advnet_search_on_site_premium', 'Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}', 'Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Premium placement ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_report', 'advnet_search_on_site_premium', 'Отчет по Спецразмещению за ${period||30days} (без детализации по дням)', 'Отчет по Спецразмещению за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"dimension_fields":["search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению за ${period||30days} (без детализации по дням)',
    `caption_en`='Premium placement report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"dimension_fields":["search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site_premium","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_report_by_page_id', 'advnet_search_on_site_premium', 'Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["premium_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по Спецразмещению для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Premium placement for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["premium_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_tags_detailed_report', 'advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)', 'Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения за ${period||30days} (с детализацией по дням)',
    `caption_en`='Premium placement cross-section report for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_tags_report', 'advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)', 'Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения за ${period||30days} (без детализации по дням)',
    `caption_en`='Premium placement cross-section report for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":null,"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_premium_tags_report_by_page_id', 'advnet_search_on_site_premium', 'Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}', 'Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site_premium',
    `caption_ru`='Отчет по срезам Спецразмещения для площадки ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Premium placement cross-section report for ${page_id} "${name}" ad platform for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","tag_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["premium_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","tag_id","search_campaign_caption","currency_id"],"dimension_filter":null,"entity_fields":["campaign_id"],"fields":["premium_shows","premium_clicks","premium_partner_wo_nds","premium_ctr","premium_cpm_partner_wo_nds","premium_cpc_partner_wo_nds"],"levels":[{"filter":["AND",[["campaign_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site_premium"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_report', 'advnet_search_on_site', 'Отчет по рекламе на поисковых площадках за ${period||30days}', 'Отчет по рекламе на поисковых площадках за ${period||30days}', '{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site',
    `caption_ru`='Отчет по рекламе на поисковых площадках за ${period||30days}',
    `caption_en`='Report on search ad platforms advertisements for ${period||30days}',
    `query`='{"tableViewModelData":{"sortBy":"partner_wo_nds","sortOrder":"desc"},"tableLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":[],"dimension_filter":null,"entity_fields":["page_id","caption"],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}],"chartLevel":[{"period":"${period||30days}","fields":["premium_partner_wo_nds","market_api_search_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"advnet_search_on_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('search_report_by_page_id', 'advnet_search_on_site', 'Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["direct_search_partner_wo_nds","market_api_search_partner_wo_nds","partner_wo_nds","premium_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["market_api_search_partner_wo_nds","premium_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='advnet_search_on_site',
    `caption_ru`='Отчет по поисковой площадке ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on ${page_id} "${name}" search ad platform for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["direct_search_partner_wo_nds","market_api_search_partner_wo_nds","partner_wo_nds","premium_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["market_api_search_partner_wo_nds","premium_partner_wo_nds","direct_search_partner_wo_nds","partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"advnet_search_on_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('ssp_report', 'ssp', 'Отчет по SSP за ${period||30days} (без детализации по дням)', 'Отчет по SSP за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"all_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["ssp_mobile_rtb_partner_wo_nds","partner_wo_nds","ssp_mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":null,"id":"ssp"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","name"],"fields":["ssp_mobile_rtb_partner_wo_nds","partner_wo_nds","ssp_mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":null,"id":"ssp"}],"period":"30days","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='ssp',
    `caption_ru`='Отчет по SSP за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on SSP for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"all_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["ssp_mobile_rtb_partner_wo_nds","partner_wo_nds","ssp_mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":null,"id":"ssp"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["id","name"],"fields":["ssp_mobile_rtb_partner_wo_nds","partner_wo_nds","ssp_mobile_rtb_all_wo_nds","all_wo_nds"],"levels":[{"filter":null,"id":"ssp"}],"period":"30days","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('taxopark_report', 'taxopark', 'Доход за ${period||thismonth}', 'Доход за ${period||thismonth}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='taxopark',
    `caption_ru`='Доход за ${period||thismonth}',
    `caption_en`='Revenue for ${period||thismonth}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||thismonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}],"chartLevel":[{"period":"${period||thismonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('taxopark_report_last_month', 'taxopark', 'Доход за ${period||lastmonth}', 'Доход за ${period||lastmonth}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||lastmonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}],"chartLevel":[{"period":"${period||lastmonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='taxopark',
    `caption_ru`='Доход за ${period||lastmonth}',
    `caption_en`='Revenue for ${period||lastmonth}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||lastmonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}],"chartLevel":[{"period":"${period||lastmonth}","fields":["taxopark_order_w_nds","taxopark_charging_w_nds"],"dimension_fields":["date|day","currency_id"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"taxopark","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_income', 'video_an_site', 'Доход по видеорекламе за ${period||10days}', 'Доход по видеорекламе за ${period||10days}', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["instream_partner_wo_nds","inpage_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"video_an_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["instream_partner_wo_nds","inpage_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"video_an_site","filter":null}]}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site',
    `caption_ru`='Доход по видеорекламе за ${period||10days}',
    `caption_en`='Revenue from video advertisement for ${period||10days}',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"tableLevel":[{"period":"${period||10days}","fields":["instream_partner_wo_nds","inpage_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"video_an_site","filter":null}]}],"chartLevel":[{"period":"${period||10days}","fields":["instream_partner_wo_nds","inpage_partner_wo_nds","partner_wo_nds"],"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"total":0,"vat":-1,"levels":[{"id":"video_an_site","filter":null}]}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_inpage_block_detailed_report', 'video_an_site_inpage', 'Отчет по InPage видеоблокам за ${period||30days} (с детализацией по дням)', 'Отчет по InPage видеоблокам за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","video_caption"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_inpage',
    `caption_ru`='Отчет по InPage видеоблокам за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on InPage video blocks for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","video_caption"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_inpage_block_detailed_report_by_block_id', 'video_an_site_inpage', 'Отчет по InPage видеоблоку ${block_id} «${name}» за ${period||30days}', 'Отчет по InPage видеоблоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["inpage_block_hits","inpage_block_shows","inpage_block_hits_own_adv","inpage_block_shows_own_adv","inpage_block_hits_unsold","inpage_block_all_hits","inpage_partner_wo_nds","inpage_block_winrate","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_inpage',
    `caption_ru`='Отчет по InPage видеоблоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='InPage video block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["inpage_block_hits","inpage_block_shows","inpage_block_hits_own_adv","inpage_block_shows_own_adv","inpage_block_hits_unsold","inpage_block_all_hits","inpage_partner_wo_nds","inpage_block_winrate","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_inpage_block_report', 'video_an_site_inpage', 'Отчет по InPage видеоблокам за ${period||30days} (без детализации по дням)', 'Отчет по InPage видеоблокам за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"inpage_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["video_caption"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_inpage',
    `caption_ru`='Отчет по InPage видеоблокам за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on InPage video blocks for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"inpage_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["video_caption"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_inpage_block_report_by_page_id', 'video_an_site_inpage', 'Отчет по InPage видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}', 'Отчет по InPage видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_inpage',
    `caption_ru`='Отчет по InPage видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on InPage video blocks for ${page_id} "${name}" resource for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["inpage_block_hits","inpage_block_shows","inpage_partner_wo_nds","inpage_block_visibility","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_inpage"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_instream_block_detailed_report', 'video_an_site_instream', 'Отчет по Instream видеоблокам за ${period||30days} (с детализацией по дням)', 'Отчет по Instream видеоблокам за ${period||30days} (с детализацией по дням)', '{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","video_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_instream',
    `caption_ru`='Отчет по Instream видеоблокам за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on Instream video blocks for ${period||30days} (with daily details)',
    `query`='{"tableViewModelData":{"sortBy":"date","sortOrder":"asc"},"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","video_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_instream_block_detailed_report_by_block_id', 'video_an_site_instream', 'Отчет по Instream видеоблоку ${block_id} «${name}» за ${period||30days}', 'Отчет по Instream видеоблоку ${block_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["instream_block_hits","instream_block_shows","instream_block_hits_own_adv","instream_block_shows_own_adv","instream_block_hits_unsold","instream_block_all_hits","instream_partner_wo_nds","instream_block_winrate","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_instream',
    `caption_ru`='Отчет по Instream видеоблоку ${block_id} «${name}» за ${period||30days}',
    `caption_en`='Instream video block ${block_id} "${name}" report for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":[],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["instream_block_hits","instream_block_shows","instream_block_hits_own_adv","instream_block_shows_own_adv","instream_block_hits_unsold","instream_block_all_hits","instream_partner_wo_nds","instream_block_winrate","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["id","=","${block_id}"]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_instream_block_report', 'video_an_site_instream', 'Отчет по Instream видеоблокам за ${period||30days} (без детализации по дням)', 'Отчет по Instream видеоблокам за ${period||30days} (без детализации по дням)', '{"tableViewModelData":{"sortBy":"instream_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","video_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_instream',
    `caption_ru`='Отчет по Instream видеоблокам за ${period||30days} (без детализации по дням)',
    `caption_en`='Report on Instream video blocks for ${period||30days} (without daily details)',
    `query`='{"tableViewModelData":{"sortBy":"instream_partner_wo_nds","sortOrder":"desc"},"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","video_caption","currency_id"],"dimension_filter":null,"entity_fields":["page_id"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_instream_block_report_by_page_id', 'video_an_site_instream', 'Отчет по Instream видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}', 'Отчет по Instream видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}', '{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site_instream',
    `caption_ru`='Отчет по Instream видеоблокам для ресурса ${page_id} «${name}» за ${period||30days}',
    `caption_en`='Report on Instream video blocks for ${page_id} "${name}" resource for ${period||30days}',
    `query`='{"chartLevel":[{"dimension_fields":["date|day","currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id"],"fields":["instream_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["currency_id","currency_id"],"dimension_filter":null,"entity_fields":["public_id","caption"],"fields":["instream_block_hits","instream_block_shows","instream_partner_wo_nds","instream_block_visibility","instream_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["page_id","IN",["${page_id}"]]]],"id":"video_an_site_instream"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_report_by_page_id', 'video_an_site', 'Отчет по видеоресурсу ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', 'Отчет по видеоресурсу ${page_id} «${name}» за ${period||30days} (с детализацией по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site',
    `caption_ru`='Отчет по видеоресурсу ${page_id} «${name}» за ${period||30days} (с детализацией по дням)',
    `caption_en`='Report on ${page_id} "${name}" video resource for ${period||30days} (with daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["id"],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_partner_wo_nds","inpage_partner_wo_nds","video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["id","IN",["${page_id}"]]]],"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableViewModelData":{"sortBy":"date","sortOrder":"asc"}}',
    `not_show`=1;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_site_report', 'video_an_site', 'Отчет по видеорекламе за ${period||30days} (без детализациии по дням)', 'Отчет по видеорекламе за ${period||30days} (без детализациии по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["video_an_site_sum_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_block_hits","inpage_block_hits","instream_block_shows","inpage_block_shows","video_an_site_sum_partner_wo_nds","instream_block_visibility","inpage_block_visibility","instream_block_cpm_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}]}', 1, 0)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site',
    `caption_ru`='Отчет по видеорекламе за ${period||30days} (без детализациии по дням)',
    `caption_en`='Video advertisement report for ${period||30days} (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["video_an_site_sum_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_block_hits","inpage_block_hits","instream_block_shows","inpage_block_shows","video_an_site_sum_partner_wo_nds","instream_block_visibility","inpage_block_visibility","instream_block_cpm_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":null,"id":"video_an_site"}],"period":"${period||30days}","total":0,"vat":-1}]}',
    `not_show`=0;

INSERT INTO statistics_reports
    (`id`, `level`, `caption_ru`, `caption_en`, `query`, `multistate`, `not_show`)
VALUES
    ('video_site_report_by_login', 'video_an_site', 'Отчет по видеорекламе для логина ${login} за 30 дней (без детализациии по дням)', 'Отчет по видеорекламе для логина ${login} за 30 дней (без детализациии по дням)', '{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"video_an_site"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_block_hits","inpage_block_hits","instream_block_shows","inpage_block_shows","video_an_site_sum_partner_wo_nds","instream_block_visibility","inpage_block_visibility","instream_block_cpm_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"video_an_site"}],"period":"30days","total":0,"vat":-1}]}', 1, 1)
ON DUPLICATE KEY UPDATE
    `level`='video_an_site',
    `caption_ru`='Отчет по видеорекламе для логина ${login} за 30 дней (без детализациии по дням)',
    `caption_en`='Video advertisement report for ${login} login for past 30 days (without daily details)',
    `query`='{"chartLevel":[{"dimension_fields":["date|day"],"dimension_filter":null,"entity_fields":[],"fields":["video_an_site_sum_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"video_an_site"}],"period":"30days","total":0,"vat":-1}],"tableLevel":[{"dimension_fields":[],"dimension_filter":null,"entity_fields":["caption","id"],"fields":["instream_block_hits","inpage_block_hits","instream_block_shows","inpage_block_shows","video_an_site_sum_partner_wo_nds","instream_block_visibility","inpage_block_visibility","instream_block_cpm_partner_wo_nds","inpage_block_cpm_partner_wo_nds"],"levels":[{"filter":["AND",[["owner","MATCH",["login","IN",["${login}"]]]]],"id":"video_an_site"}],"period":"30days","total":0,"vat":-1}]}',
    `not_show`=1;

/* INFRASTRUCTUREPI-1190 start */

UPDATE `partner`.`internal_context_on_site_direct` SET `type` = 'vertical' WHERE id = 0;

UPDATE `partner`.`search_on_site_premium` SET `type` = 'vertical' WHERE `type` = 'horizontal';

UPDATE `partner`.`search_on_site_direct` SET `type` = 'vertical' WHERE id = 0;

UPDATE `partner`.`internal_search_on_site_direct` SET `type` = 'vertical' WHERE id = 0;

/* INFRASTRUCTUREPI-1190 end */
